Bug 161442 - [MAINTAINER] devel/gps: Update to version 5.0.1
[MAINTAINER] devel/gps: Update to version 5.0.1
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Frederic Culot
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-09 22:20 UTC by draco
Modified: 2011-11-15 13:40 UTC (History)
0 users

See Also:


Attachments
file.diff (13.91 KB, patch)
2011-10-09 22:20 UTC, draco
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description draco 2011-10-09 22:20:07 UTC
Update to officially released version 5.0.1 (Jan 2011)

This version requires that the highest version of gtkada used is 2.22.  Gtkada will have to remain at 2.22 until GPS 5.1 or 5.2 is added to the ports.  Unfortunately, these new versions of GPS requires GNAT based on gcc 4.7 which isn't released yet, so we'll be on the GPS 5.0 series for a while.

Patch:
1) checks that version of gtkada < 2.24
2) Fixes python dependency (limited to 2.6 and 2.7)
3) Fixes py-gtk2 dependency (it was broken before)

Several patches removed:
patch-prj_editor-src-project_properties.adb
patch-prj_editor-src-project_viewers.ads
patch-prj_editor-src-project_viewers.adb
patch-gnatlib-gnat_src-gnatvsn.adb

Several patches added:
patch-gnatlib-gnat_src-mlib-utl.adb
patch-gnatlib_src_nonpython_gnatcoll-scripts.nopython.ads
patch-gnatlib_src_nonpython_gnatcoll-scripts.nopython.adb

Two patches modified:
patch-common-tty-terminals.c
patch-Makefile.in


Documentation is now limited to the Adacore produced pdf manual.

Fix: Patch attached with submission follows:
Comment 1 draco 2011-10-10 23:38:39 UTC
Is it possible to suspend this ticket?

The python support appears that it's still not completely correct, and 
also IDE is trying to show the html version of the documentation which 
was intentionally excluded.

I'd like to look at both of those issues and resubmit the patch.
John
Comment 2 Mark Linimon freebsd_committer 2011-10-11 03:13:28 UTC
State Changed
From-To: open->suspended

Suspended at submitter's request.
Comment 3 Mark Linimon freebsd_committer 2011-10-11 23:34:22 UTC
State Changed
From-To: suspended->open

new patch received.
Comment 4 linimon 2011-10-11 23:34:59 UTC
----- Forwarded message from John Marino <draco@marino.st> -----

Date: Tue, 11 Oct 2011 20:48:57 +0200
From: John Marino <draco@marino.st>
To: linimon@FreeBSD.org
Cc: freebsd-ports-bugs@FreeBSD.org
Subject: Re: ports/161442: [MAINTAINER] devel/gps: Update to version 5.0.1
User-Agent: Mozilla/5.0 (Windows NT 5.1; rv:5.0) Gecko/20110624 Thunderbird/5.0

The attached revised patch fixes the python and documentation support.
It was tested with Tinderbox (8.2 AMD64 and 9.0 AMD64) with multiple
port options set.

Please re-open this PR, thanks!

John

--- Makefile.orig	2011-10-10 00:27:34.000000000 +0200
+++ Makefile	2011-10-11 11:04:06.000000000 +0200
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	gps
-PORTVERSION=	5.0.0
-PORTREVISION=	1
+PORTVERSION=	5.0.1
 CATEGORIES=	devel
 MASTER_SITES=	http://downloads.dragonlace.net/src/ \
 		http://dragonlace.mirrors.ada.cx/src/
@@ -15,11 +14,11 @@
 MAINTAINER=	draco@marino.st
 COMMENT=	GNAT Programming Studio - IDE for Ada and many other languages
 
-BUILD_DEPENDS=	gnat-aux>20101204:${PORTSDIR}/lang/gnat-aux \
-		gtkada>=2.22:${PORTSDIR}/x11-toolkits/gtkada \
+BUILD_DEPENDS=	gnat-aux>20110325:${PORTSDIR}/lang/gnat-aux \
+		gtkada<2.24:${PORTSDIR}/x11-toolkits/gtkada \
 		xmlada>=3.2:${PORTSDIR}/textproc/xmlada \
 		gprbuild-aux>=20101120:${PORTSDIR}/devel/gprbuild-aux
-RUN_DEPENDS=	gtkada>=2.22:${PORTSDIR}/x11-toolkits/gtkada
+RUN_DEPENDS=	gtkada<2.24:${PORTSDIR}/x11-toolkits/gtkada
 LIB_DEPENDS=	gmp.10:${PORTSDIR}/math/gmp
 
 LATEST_LINK=	gps-ide
@@ -37,10 +36,8 @@
 OPTIONS=		SYSLOG "Enable system logging" on
 OPTIONS+=		SQLITE "Enable SQLite database support" off
 OPTIONS+=		PGSQL  "Enable PostgreSQL database support" off
-OPTIONS+=		PYTHON "Enable Python scripts support" off
-OPTIONS+=		PYGTK  "Enable Python bindings to GTK" off
+OPTIONS+=		PYTHON "Enable Python console" off
 
-.include <bsd.port.pre.mk>
 .include <bsd.port.options.mk>
 
 .if ${ARCH} == "amd64"
@@ -48,7 +45,6 @@
 .endif
 
 CONFIGURE_ARGS+=	--with-gmp=${PREFIX}
-CONFIGURE_ARGS+=	--enable-shared-python=yes
 
 ##############
 ##  SYSLOG  ##
@@ -79,28 +75,31 @@
 USE_PGSQL=		true
 .endif
 
-##############
-##  PYTHON  ##
-##############
+#####################
+##  PYTHON / PYGTK ##
+#####################
 
 .if defined(WITH_PYTHON)
 CONFIGURE_ARGS+=	--with-python=${PREFIX}
-BUILD_DEPENDS+=		python26>=2.6:${PORTSDIR}/lang/python26
-RUN_DEPENDS+=		python26>=2.6:${PORTSDIR}/lang/python26
+CONFIGURE_ARGS+=	--enable-shared-python=yes
+CONFIGURE_ARGS+=	--enable-pygtk
+PLIST_SUB+=		PYSUPPORT=""
+USE_PYTHON=		26 27
+BUILD_DEPENDS+=		py2[67]-gtk>=2.22:${PORTSDIR}/x11-toolkits/py-gtk2
+RUN_DEPENDS+=		py2[67]-gtk>=2.22:${PORTSDIR}/x11-toolkits/py-gtk2
+PYCOMPILE=		${PREFIX}/lib/${PYTHON_VERSION}/compileall.py
 .else
 CONFIGURE_ARGS+=	--without-python
+CONFIGURE_ARGS+=	--disable-pygtk
+PLIST_SUB+=		PYSUPPORT="@comment "
 .endif
 
-#############
-##  PYGTK  ##
-#############
+.include <bsd.port.pre.mk>
 
-.if defined(WITH_PYGTK)
-CONFIGURE_ARGS+=	--enable-pygtk
-BUILD_DEPENDS+=		py-gtk2>=2.22:${PORTSDIR}/x11-toolkits/py-gtk2
-RUN_DEPENDS+=		py-gtk2>=2.22:${PORTSDIR}/x11-toolkits/py-gtk2
-.else
-CONFIGURE_ARGS+=	--disable-pygtk
+pre-install:
+.if defined(WITH_PYTHON)
+	${PYTHON_CMD} ${PYCOMPILE} ${WRKSRC}/share/plug-ins
+	${PYTHON_CMD} ${PYCOMPILE} ${WRKSRC}/share/library
 .endif
 
 .include <bsd.port.post.mk>
--- distinfo.orig	2011-10-10 00:27:34.000000000 +0200
+++ distinfo	2011-10-11 18:04:56.000000000 +0200
@@ -1,2 +1,2 @@
-SHA256 (gps-5.0.0.tar.bz2) = 3eb34bca1868f7b762bf5bd5b753ca584b6d74cc2a95970970c66ce724b0cbc7
-SIZE (gps-5.0.0.tar.bz2) = 9325721
+SHA256 (gps-5.0.1.tar.bz2) = d7228e3fd915e47a4af30d72cc6bba77cd95479f1289b3b525d66aa8d94176a5
+SIZE (gps-5.0.1.tar.bz2) = 9303980
--- pkg-plist.orig	2011-10-10 00:27:34.000000000 +0200
+++ pkg-plist	2011-10-11 16:17:57.000000000 +0200
@@ -1,566 +1,883 @@
 bin/gps
-%%DOCSDIR%%/html/welcome.jpg
-%%DOCSDIR%%/html/visual-diff.jpg
-%%DOCSDIR%%/html/vcs-explorer.jpg
-%%DOCSDIR%%/html/vcs-activities.jpg
-%%DOCSDIR%%/html/user_guide.png
-%%DOCSDIR%%/html/tutorial.png
-%%DOCSDIR%%/html/triangle_x.png
-%%DOCSDIR%%/html/tooltips.jpg
-%%DOCSDIR%%/html/toolchains-config.jpg
-%%DOCSDIR%%/html/tip-of-the-day.jpg
-%%DOCSDIR%%/html/tasks.jpg
-%%DOCSDIR%%/html/task-manager.jpg
-%%DOCSDIR%%/html/target-configuration-dialog.jpg
-%%DOCSDIR%%/html/switch-editor-revert.jpg
-%%DOCSDIR%%/html/switch-editor.jpg
-%%DOCSDIR%%/html/square_x.png
-%%DOCSDIR%%/html/source-editor.jpg
-%%DOCSDIR%%/html/smart-completion.jpg
-%%DOCSDIR%%/html/shell-window.jpg
-%%DOCSDIR%%/html/servers-configuration.jpg
-%%DOCSDIR%%/html/search-options.jpg
-%%DOCSDIR%%/html/search-hide.jpg
-%%DOCSDIR%%/html/scenario-view.jpg
-%%DOCSDIR%%/html/scenarios.jpg
-%%DOCSDIR%%/html/save-dialog.jpg
-%%DOCSDIR%%/html/revision-view.jpg
-%%DOCSDIR%%/html/report-of-analysis_tree.jpg
-%%DOCSDIR%%/html/report-of-analysis_flat.jpg
-%%DOCSDIR%%/html/remote-view.jpg
-%%DOCSDIR%%/html/remote-view-full.jpg
-%%DOCSDIR%%/html/project-wizard.jpg
-%%DOCSDIR%%/html/project-view.jpg
-%%DOCSDIR%%/html/project-properties.jpg
-%%DOCSDIR%%/html/project-modified.jpg
-%%DOCSDIR%%/html/project-deps.jpg
-%%DOCSDIR%%/html/project-browser.jpg
-%%DOCSDIR%%/html/preferences-general.jpg
-%%DOCSDIR%%/html/overview.png
-%%DOCSDIR%%/html/outline-view.jpg
-%%DOCSDIR%%/html/open-from-project.jpg
-%%DOCSDIR%%/html/open-file.jpg
-%%DOCSDIR%%/html/naming-scheme.jpg
-%%DOCSDIR%%/html/messages.jpg
-%%DOCSDIR%%/html/memory-view.jpg
-%%DOCSDIR%%/html/main-gps.jpg
-%%DOCSDIR%%/html/locations-view.jpg
-%%DOCSDIR%%/html/key-shortcuts.jpg
-%%DOCSDIR%%/html/help_index.html
-%%DOCSDIR%%/html/gps-welcome.html
-%%DOCSDIR%%/html/gps-vcs-up-to-date.jpg
-%%DOCSDIR%%/html/gps-vcs-unknown.jpg
-%%DOCSDIR%%/html/gps-vcs-removed.jpg
-%%DOCSDIR%%/html/gps-vcs-not-registered.jpg
-%%DOCSDIR%%/html/gps-vcs-needs-update.jpg
-%%DOCSDIR%%/html/gps-vcs-needs-merge.jpg
-%%DOCSDIR%%/html/gps-vcs-modified.jpg
-%%DOCSDIR%%/html/gps-vcs-has-conflicts.jpg
-%%DOCSDIR%%/html/gps-vcs-added.jpg
-%%DOCSDIR%%/html/gps_title.gif
-%%DOCSDIR%%/html/gps-splash.png
-%%DOCSDIR%%/html/gps-splash-gpl.png
-%%DOCSDIR%%/html/gps-splash-academic.png
-%%DOCSDIR%%/html/gps_index.xml
-%%DOCSDIR%%/html/gps.html
-%%DOCSDIR%%/html/file-view.jpg
-%%DOCSDIR%%/html/explorer-scenario.jpg
-%%DOCSDIR%%/html/entity-view.jpg
-%%DOCSDIR%%/html/entity-browser.jpg
-%%DOCSDIR%%/html/dot_x.png
-%%DOCSDIR%%/html/docgen.jpg
-%%DOCSDIR%%/html/diamond_x.png
-%%DOCSDIR%%/html/dependency-browser.jpg
-%%DOCSDIR%%/html/colors.jpg
-%%DOCSDIR%%/html/circle_x.png
-%%DOCSDIR%%/html/canvas.jpg
-%%DOCSDIR%%/html/call-stack.jpg
-%%DOCSDIR%%/html/call-graph.jpg
-%%DOCSDIR%%/html/breakpoints.jpg
-%%DOCSDIR%%/html/bp-advanced.jpg
-%%DOCSDIR%%/html/assembly.jpg
-%%DOCSDIR%%/html/aliases.jpg
-%%DOCSDIR%%/html/about.jpg
-%%DATADIR%%/templates/simple_project/src/@_main_name_@.adb
-%%DATADIR%%/templates/simple_project/simple_project.gpt
-%%DATADIR%%/templates/simple_project/@_project_name_@.gpr
-%%DATADIR%%/templates/gtkada_minimal/src/@_main_name_@.adb
-%%DATADIR%%/templates/gtkada_minimal/@_project_name_@.gpr
-%%DATADIR%%/templates/gtkada_minimal/gtkada_minimal.gpt
-%%DATADIR%%/templates/aws_web_server/web_server.gpt
-%%DATADIR%%/templates/aws_web_server/tmplt/main.thtml
-%%DATADIR%%/templates/aws_web_server/src/@_project_name_@-main.adb
-%%DATADIR%%/templates/aws_web_server/src/@_project_name_@-dispatchers.ads
-%%DATADIR%%/templates/aws_web_server/src/@_project_name_@-dispatchers.adb
-%%DATADIR%%/templates/aws_web_server/src/@_project_name_@.ads
-%%DATADIR%%/templates/aws_web_server/@_project_name_@.gpr
-%%DATADIR%%/templates/aws_web_server/img/gps_logo.png
-%%DATADIR%%/templates/aws_web_server/css/style.css
-%%DATADIR%%/templates/aws_web_server_blocks/web_server_blocks.gpt
-%%DATADIR%%/templates/aws_web_server_blocks/tmplt/widget_counter.thtml
-%%DATADIR%%/templates/aws_web_server_blocks/tmplt/r_widget_counter.txml
-%%DATADIR%%/templates/aws_web_server_blocks/tmplt/main.thtml
-%%DATADIR%%/templates/aws_web_server_blocks/src/@_project_name_@-web_blocks.ads
-%%DATADIR%%/templates/aws_web_server_blocks/src/@_project_name_@-web_blocks.adb
-%%DATADIR%%/templates/aws_web_server_blocks/src/@_project_name_@-main.adb
-%%DATADIR%%/templates/aws_web_server_blocks/src/@_project_name_@-dispatchers.ads
-%%DATADIR%%/templates/aws_web_server_blocks/src/@_project_name_@-dispatchers.adb
-%%DATADIR%%/templates/aws_web_server_blocks/src/@_project_name_@-ajax.ads
-%%DATADIR%%/templates/aws_web_server_blocks/src/@_project_name_@-ajax.adb
-%%DATADIR%%/templates/aws_web_server_blocks/src/@_project_name_@.ads
-%%DATADIR%%/templates/aws_web_server_blocks/@_project_name_@.gpr
-%%DATADIR%%/templates/aws_web_server_blocks/open_readme.py
-%%DATADIR%%/templates/aws_web_server_blocks/makefile
-%%DATADIR%%/templates/aws_web_server_blocks/js/scriptaculous.js
-%%DATADIR%%/templates/aws_web_server_blocks/js/prototype.js
-%%DATADIR%%/templates/aws_web_server_blocks/js/behaviour.js
-%%DATADIR%%/templates/aws_web_server_blocks/js/aws.tjs
-%%DATADIR%%/templates/aws_web_server_blocks/js/aws_kernel.tjs
-%%DATADIR%%/templates/aws_web_server_blocks/js/ajax_api.tjs
-%%DATADIR%%/templates/aws_web_server_blocks/img/gps_logo.png
-%%DATADIR%%/templates/aws_web_server_blocks/gen/templates.tada
-%%DATADIR%%/templates/aws_web_server_blocks/css/style.css
-%%DATADIR%%/templates/aws_web_server_blocks/README
-%%DATADIR%%/templates/aws_simple_web_server/src/@_project_name_@-main.adb
-%%DATADIR%%/templates/aws_simple_web_server/src/@_project_name_@-callbacks.ads
-%%DATADIR%%/templates/aws_simple_web_server/src/@_project_name_@-callbacks.adb
-%%DATADIR%%/templates/aws_simple_web_server/src/@_project_name_@.ads
-%%DATADIR%%/templates/aws_simple_web_server/simple_web_server.gpt
-%%DATADIR%%/templates/aws_simple_web_server/@_project_name_@.gpr
-%%DATADIR%%/templates/ajis_hello/src_java/com/adacore/example/@_Main_Name_@.java
-%%DATADIR%%/templates/ajis_hello/src_ada/hello.ads
-%%DATADIR%%/templates/ajis_hello/src_ada/hello.adb
-%%DATADIR%%/templates/ajis_hello/@_project_name_@.gpr
-%%DATADIR%%/templates/ajis_hello/ajis_hello.gpt
-%%DATADIR%%/templates/ajis_hello/Makefile
-%%DATADIR%%/shell_commands.xml
-%%DATADIR%%/readonly.gpr
-%%DATADIR%%/predefined_ada.xml
-%%DATADIR%%/plug-ins/zoom.py
-%%DATADIR%%/plug-ins/xml_support.py
-%%DATADIR%%/plug-ins/xcov.py
-%%DATADIR%%/plug-ins/url.py
-%%DATADIR%%/plug-ins/toolchains.xml
-%%DATADIR%%/plug-ins/tip_of_the_day.py
-%%DATADIR%%/plug-ins/text_utils.py
-%%DATADIR%%/plug-ins/subversion.xml
-%%DATADIR%%/plug-ins/spark_support.py
-%%DATADIR%%/plug-ins/spark/spark.py
-%%DATADIR%%/plug-ins/sort_selection.py
-%%DATADIR%%/plug-ins/shell.py
-%%DATADIR%%/plug-ins/runtime.xml
-%%DATADIR%%/plug-ins/reset_gps_registry.py
-%%DATADIR%%/plug-ins/rectangles.py
-%%DATADIR%%/plug-ins/python_support.py
-%%DATADIR%%/plug-ins/python_doc.py
-%%DATADIR%%/plug-ins/protocols.xml
-%%DATADIR%%/plug-ins/projects.xml
-%%DATADIR%%/plug-ins/pipe.py
-%%DATADIR%%/plug-ins/os_utils.py
-%%DATADIR%%/plug-ins/navigation_utils.py
-%%DATADIR%%/plug-ins/methods.py
-%%DATADIR%%/plug-ins/locations_view_utils.py
-%%DATADIR%%/plug-ins/listvars.py
-%%DATADIR%%/plug-ins/languages.xml
-%%DATADIR%%/plug-ins/images/tip_task_manager.png
-%%DATADIR%%/plug-ins/images/tip_os_shell.png
-%%DATADIR%%/plug-ins/images/tip_notebook_tabs_position.png
-%%DATADIR%%/plug-ins/images/tip_multiple_views.png
-%%DATADIR%%/plug-ins/images/tip_multi_language_builder.png
-%%DATADIR%%/plug-ins/images/tip_makefile_support.png
-%%DATADIR%%/plug-ins/images/tip_keyboard_macro.png
-%%DATADIR%%/plug-ins/images/tip_jump_to_first_location.png
-%%DATADIR%%/plug-ins/images/tip_insert_spaces_with_tab.png
-%%DATADIR%%/plug-ins/images/tip_entity_view.png
-%%DATADIR%%/plug-ins/images/tip_entity_view_dnd.png
-%%DATADIR%%/plug-ins/images/tip_build_menu.png
-%%DATADIR%%/plug-ins/images/tip_all_occurrences.png
-%%DATADIR%%/plug-ins/icons.xml
-%%DATADIR%%/plug-ins/gps_utils/switches.py
-%%DATADIR%%/plug-ins/gps_utils/__init__.py
-%%DATADIR%%/plug-ins/gps_utils/highlighter.py
-%%DATADIR%%/plug-ins/gps_utils/gnat_rules.py
-%%DATADIR%%/plug-ins/gps_utils/gnatcheck_rules_editor.py
-%%DATADIR%%/plug-ins/gps_utils/gnatcheck_default.py
-%%DATADIR%%/plug-ins/gps_utils/console_process.py
-%%DATADIR%%/plug-ins/gpr.xml
-%%DATADIR%%/plug-ins/gnat_switches.py
-%%DATADIR%%/plug-ins/gnatstub.xml
-%%DATADIR%%/plug-ins/gnatstack.py
-%%DATADIR%%/plug-ins/gnatpsta.py
-%%DATADIR%%/plug-ins/gnatpp.xml
-%%DATADIR%%/plug-ins/gnatmetric.xml
-%%DATADIR%%/plug-ins/gnatdist_support.py
-%%DATADIR%%/plug-ins/gnatcheck.py
-%%DATADIR%%/plug-ins/git.xml
-%%DATADIR%%/plug-ins/git_support.py
-%%DATADIR%%/plug-ins/gcov.py
-%%DATADIR%%/plug-ins/expanded_code.py
-%%DATADIR%%/plug-ins/editors.py
-%%DATADIR%%/plug-ins/docgen_base_tags.py
-%%DATADIR%%/plug-ins/dispatching.py
-%%DATADIR%%/plug-ins/cvs.xml
-%%DATADIR%%/plug-ins/c_support.xml
-%%DATADIR%%/plug-ins/csharp.xml
-%%DATADIR%%/plug-ins/codepeer.py
-%%DATADIR%%/plug-ins/clearcase.xml
-%%DATADIR%%/plug-ins/childtree.png
-%%DATADIR%%/plug-ins/childtree2.png
-%%DATADIR%%/plug-ins/changelog.xml
-%%DATADIR%%/plug-ins/build_targets.xml
-%%DATADIR%%/plug-ins/build_modes.xml
-%%DATADIR%%/plug-ins/block_completion.py
-%%DATADIR%%/plug-ins/auto_highlight_occurrences.py
-%%DATADIR%%/plug-ins/align.py
-%%DATADIR%%/plug-ins/ada-support.xml
-%%DATADIR%%/plug-ins/ada_support.py
-%%DATADIR%%/plug-ins/Makefile.py
-%%DATADIR%%/perspectives.xml
-%%DATADIR%%/library/vi.py
-%%DATADIR%%/library/unused_entities.py
-%%DATADIR%%/library/unicode.py
-%%DATADIR%%/library/skeleton.py
-%%DATADIR%%/library/simple_project.py
-%%DATADIR%%/library/separate.py
-%%DATADIR%%/library/save_on_compile.py
-%%DATADIR%%/library/pygps/tree.py
-%%DATADIR%%/library/pygps/project.py
-%%DATADIR%%/library/pygps/notebook.py
-%%DATADIR%%/library/pygps/__init__.py
-%%DATADIR%%/library/ppc.xml
-%%DATADIR%%/library/open_file.py
-%%DATADIR%%/library/online_support.py
-%%DATADIR%%/library/occurrences.py
-%%DATADIR%%/library/local_history.py
-%%DATADIR%%/library/ispell.py
-%%DATADIR%%/library/isearch.py
-%%DATADIR%%/library/highlight_selection.py
-%%DATADIR%%/library/gnatr.xml
-%%DATADIR%%/library/gnatpp_switches.py
-%%DATADIR%%/library/first_subtype.py
-%%DATADIR%%/library/filepos.py
-%%DATADIR%%/library/filedeps.py
-%%DATADIR%%/library/execute_extended.py
-%%DATADIR%%/library/enter.xml
-%%DATADIR%%/library/emacs.xml
-%%DATADIR%%/library/eclipse.py
-%%DATADIR%%/library/dependencies.py
-%%DATADIR%%/library/debugger.py
-%%DATADIR%%/library/create_missing_dirs.py
-%%DATADIR%%/library/createfile.py
-%%DATADIR%%/library/copy_paste_toolbar.py
-%%DATADIR%%/library/copy_paste.py
-%%DATADIR%%/library/autognatpp.py
-%%DATADIR%%/library/autoformat.py
-%%DATADIR%%/library/auto_changelog.py
-%%DATADIR%%/library/addr2line.py
-%%DATADIR%%/library/GPS_old.py
-%%DATADIR%%/icons/other/welcome_header.png
-%%DATADIR%%/icons/other/get_started.png
-%%DATADIR%%/icons/other/button_tutorial.png
-%%DATADIR%%/icons/other/button_tutorial_over.png
-%%DATADIR%%/icons/other/button_overview.png
-%%DATADIR%%/icons/other/button_overview_over.png
-%%DATADIR%%/icons/other/button_guide.png
-%%DATADIR%%/icons/other/button_guide_over.png
-%%DATADIR%%/icons/other/adacore_logo.png
-%%DATADIR%%/icons/9px/wrench.png
-%%DATADIR%%/icons/9px/wrench_multi.png
-%%DATADIR%%/icons/9px/partially_covered_code.png
-%%DATADIR%%/icons/9px/non_executed_code.png
-%%DATADIR%%/icons/9px/line_might_have_code.png
-%%DATADIR%%/icons/9px/line_has_code.png
-%%DATADIR%%/icons/9px/executed_code.png
-%%DATADIR%%/icons/9px/build_warning.png
-%%DATADIR%%/icons/9px/build_warning_fixable.png
-%%DATADIR%%/icons/9px/build_style.png
-%%DATADIR%%/icons/9px/build_style_fixable.png
-%%DATADIR%%/icons/9px/build_error.png
-%%DATADIR%%/icons/9px/build_error_fixable.png
-%%DATADIR%%/icons/48px/gps_48.png
-%%DATADIR%%/icons/32px/gps_32.png
-%%DATADIR%%/icons/24px/undo_24.png
-%%DATADIR%%/icons/24px/syntax_check_24.png
-%%DATADIR%%/icons/24px/stop_24.png
-%%DATADIR%%/icons/24px/step_24.png
-%%DATADIR%%/icons/24px/stack_up_24.png
-%%DATADIR%%/icons/24px/stack_down_24.png
-%%DATADIR%%/icons/24px/semantic_check_24.png
-%%DATADIR%%/icons/24px/save_24.png
-%%DATADIR%%/icons/24px/redo_24.png
-%%DATADIR%%/icons/24px/play_24.png
-%%DATADIR%%/icons/24px/open_24.png
-%%DATADIR%%/icons/24px/next_24.png
-%%DATADIR%%/icons/24px/newfile_24.png
-%%DATADIR%%/icons/24px/goto_previous_24.png
-%%DATADIR%%/icons/24px/goto_next_24.png
-%%DATADIR%%/icons/24px/finish_24.png
-%%DATADIR%%/icons/24px/cut_24.png
-%%DATADIR%%/icons/24px/custom_build_24.png
-%%DATADIR%%/icons/24px/copy_24.png
-%%DATADIR%%/icons/24px/compute_xref_24.png
-%%DATADIR%%/icons/24px/compile_24.png
-%%DATADIR%%/icons/24px/clipboard_24.png
-%%DATADIR%%/icons/24px/cleanup_24.png
-%%DATADIR%%/icons/24px/build_main_24.png
-%%DATADIR%%/icons/24px/build_all_24.png
-%%DATADIR%%/icons/20px/vcs-up-to-date.png
-%%DATADIR%%/icons/20px/vcs-unknown.png
-%%DATADIR%%/icons/20px/vcs-removed.png
-%%DATADIR%%/icons/20px/vcs-not-registered.png
-%%DATADIR%%/icons/20px/vcs-needs-update.png
-%%DATADIR%%/icons/20px/vcs-needs-merge.png
-%%DATADIR%%/icons/20px/vcs-modified.png
-%%DATADIR%%/icons/20px/vcs-has-conflicts.png
-%%DATADIR%%/icons/20px/vcs-added.png
-%%DATADIR%%/icons/18px/undo_18.png
-%%DATADIR%%/icons/18px/syntax_check_18.png
-%%DATADIR%%/icons/18px/stop_18.png
-%%DATADIR%%/icons/18px/step_18.png
-%%DATADIR%%/icons/18px/stack_up_18.png
-%%DATADIR%%/icons/18px/stack_down_18.png
-%%DATADIR%%/icons/18px/semantic_check_18.png
-%%DATADIR%%/icons/18px/save_18.png
-%%DATADIR%%/icons/18px/redo_18.png
-%%DATADIR%%/icons/18px/play_18.png
-%%DATADIR%%/icons/18px/open_18.png
-%%DATADIR%%/icons/18px/next_18.png
-%%DATADIR%%/icons/18px/newfile_18.png
-%%DATADIR%%/icons/18px/goto_previous_18.png
-%%DATADIR%%/icons/18px/goto_next_18.png
-%%DATADIR%%/icons/18px/finish_18.png
-%%DATADIR%%/icons/18px/cut_18.png
-%%DATADIR%%/icons/18px/custom_build_18.png
-%%DATADIR%%/icons/18px/copy_18.png
-%%DATADIR%%/icons/18px/compute_xref_18.png
-%%DATADIR%%/icons/18px/compile_18.png
-%%DATADIR%%/icons/18px/clipboard_18.png
-%%DATADIR%%/icons/18px/cleanup_18.png
-%%DATADIR%%/icons/18px/build_main_18.png
-%%DATADIR%%/icons/18px/build_all_18.png
-%%DATADIR%%/icons/16px/warning.png
-%%DATADIR%%/icons/16px/undo_16.png
-%%DATADIR%%/icons/16px/syntax_check_16.png
-%%DATADIR%%/icons/16px/sync_to_remote.png
-%%DATADIR%%/icons/16px/sync_to_local.png
-%%DATADIR%%/icons/16px/stop_16.png
-%%DATADIR%%/icons/16px/step_16.png
-%%DATADIR%%/icons/16px/stack_up_16.png
-%%DATADIR%%/icons/16px/stack_down_16.png
-%%DATADIR%%/icons/16px/semantic_check_16.png
-%%DATADIR%%/icons/16px/save_16.png
-%%DATADIR%%/icons/16px/redo_16.png
-%%DATADIR%%/icons/16px/project_box_warning.png
-%%DATADIR%%/icons/16px/project_box.png
-%%DATADIR%%/icons/16px/project_box_pencil.png
-%%DATADIR%%/icons/16px/project_box_open.png
-%%DATADIR%%/icons/16px/project_box_open_altered.png
-%%DATADIR%%/icons/16px/project_box_error.png
-%%DATADIR%%/icons/16px/project_box_altered.png
-%%DATADIR%%/icons/16px/play_16.png
-%%DATADIR%%/icons/16px/open_16.png
-%%DATADIR%%/icons/16px/next_16.png
-%%DATADIR%%/icons/16px/newfile_b_16.png
-%%DATADIR%%/icons/16px/newfile_16.png
-%%DATADIR%%/icons/16px/gps_16.png
-%%DATADIR%%/icons/16px/goto_previous_16.png
-%%DATADIR%%/icons/16px/goto_next_16.png
-%%DATADIR%%/icons/16px/folder_open.png
-%%DATADIR%%/icons/16px/folder_o_open.png
-%%DATADIR%%/icons/16px/folder_o_closed.png
-%%DATADIR%%/icons/16px/folder_e_open.png
-%%DATADIR%%/icons/16px/folder_e_closed.png
-%%DATADIR%%/icons/16px/folder_closed.png
-%%DATADIR%%/icons/16px/finish_16.png
-%%DATADIR%%/icons/16px/file_warning.png
-%%DATADIR%%/icons/16px/file.png
-%%DATADIR%%/icons/16px/file_pencil.png
-%%DATADIR%%/icons/16px/file_error.png
-%%DATADIR%%/icons/16px/file_altered.png
-%%DATADIR%%/icons/16px/error.png
-%%DATADIR%%/icons/16px/entities/triangle_xs.png
-%%DATADIR%%/icons/16px/entities/triangle_x.png
-%%DATADIR%%/icons/16px/entities/triangle_s.png
-%%DATADIR%%/icons/16px/entities/triangle_ps.png
-%%DATADIR%%/icons/16px/entities/triangle_p.png
-%%DATADIR%%/icons/16px/entities/triangle.png
-%%DATADIR%%/icons/16px/entities/square_xs.png
-%%DATADIR%%/icons/16px/entities/square_x.png
-%%DATADIR%%/icons/16px/entities/square_s.png
-%%DATADIR%%/icons/16px/entities/square_ps.png
-%%DATADIR%%/icons/16px/entities/square_p.png
-%%DATADIR%%/icons/16px/entities/square.png
-%%DATADIR%%/icons/16px/entities/dot_xs.png
-%%DATADIR%%/icons/16px/entities/dot_x.png
-%%DATADIR%%/icons/16px/entities/dot_s.png
-%%DATADIR%%/icons/16px/entities/dot_ps.png
-%%DATADIR%%/icons/16px/entities/dot_p.png
-%%DATADIR%%/icons/16px/entities/dot.png
-%%DATADIR%%/icons/16px/entities/diamond_xs.png
-%%DATADIR%%/icons/16px/entities/diamond_x.png
-%%DATADIR%%/icons/16px/entities/diamond_s.png
-%%DATADIR%%/icons/16px/entities/diamond_ps.png
-%%DATADIR%%/icons/16px/entities/diamond_p.png
-%%DATADIR%%/icons/16px/entities/diamond.png
-%%DATADIR%%/icons/16px/entities/circle_xs.png
-%%DATADIR%%/icons/16px/entities/circle_x.png
-%%DATADIR%%/icons/16px/entities/circle_s.png
-%%DATADIR%%/icons/16px/entities/circle_ps.png
-%%DATADIR%%/icons/16px/entities/circle_p.png
-%%DATADIR%%/icons/16px/entities/circle.png
-%%DATADIR%%/icons/16px/debug_indicator.png
-%%DATADIR%%/icons/16px/debug_break.png
-%%DATADIR%%/icons/16px/cut_16.png
-%%DATADIR%%/icons/16px/custom_build_16.png
-%%DATADIR%%/icons/16px/copy_16.png
-%%DATADIR%%/icons/16px/compute_xref_16.png
-%%DATADIR%%/icons/16px/compile_16.png
-%%DATADIR%%/icons/16px/clipboard_16.png
-%%DATADIR%%/icons/16px/cleanup_16.png
-%%DATADIR%%/icons/16px/build_main_16.png
-%%DATADIR%%/icons/16px/build_all_16.png
-%%DATADIR%%/icons/16px/box.png
-%%DATADIR%%/gps-splash.png
-%%DATADIR%%/gps-animation.png
-%%DATADIR%%/gps-animation.gif
-%%DATADIR%%/docgen2/userdef.tmpl
-%%DATADIR%%/docgen2/tree.tmpl
-%%DATADIR%%/docgen2/tree_elem.tmpl
-%%DATADIR%%/docgen2/support/images/variable-spec.png
-%%DATADIR%%/docgen2/support/images/type-spec.png
-%%DATADIR%%/docgen2/support/images/tree_root.png
+%%DATADIR%%/activity_log.tmplt
+%%DATADIR%%/aunit/harness.adb.tmpl
+%%DATADIR%%/aunit/test_case.adb.tmpl
+%%DATADIR%%/aunit/test_case.ads.tmpl
+%%DATADIR%%/aunit/test_suite.adb.tmpl
+%%DATADIR%%/aunit/test_suite.ads.tmpl
+%%DATADIR%%/default.gpr
+%%DATADIR%%/docgen2/custom/tags.css
+%%DATADIR%%/docgen2/entities.tmpl
+%%DATADIR%%/docgen2/html.tmpl
+%%DATADIR%%/docgen2/index_entry.tmpl
+%%DATADIR%%/docgen2/multilink.tmpl
+%%DATADIR%%/docgen2/navbutton.tmpl
+%%DATADIR%%/docgen2/navigation.tmpl
+%%DATADIR%%/docgen2/src.tmpl
+%%DATADIR%%/docgen2/support/docgen.css
+%%DATADIR%%/docgen2/support/docgen.js
+%%DATADIR%%/docgen2/support/images/arrow_close.png
+%%DATADIR%%/docgen2/support/images/arrow_open.png
+%%DATADIR%%/docgen2/support/images/generic-spec.png
+%%DATADIR%%/docgen2/support/images/link.png
+%%DATADIR%%/docgen2/support/images/menubar.png
+%%DATADIR%%/docgen2/support/images/menubarbottom.png
+%%DATADIR%%/docgen2/support/images/nav1_btn_mo.png
+%%DATADIR%%/docgen2/support/images/nav1_btn_up.png
+%%DATADIR%%/docgen2/support/images/nav2_btn_mo.png
+%%DATADIR%%/docgen2/support/images/nav2_btn_up.png
+%%DATADIR%%/docgen2/support/images/package-spec.png
+%%DATADIR%%/docgen2/support/images/rightside.png
+%%DATADIR%%/docgen2/support/images/rightsidebottom.png
+%%DATADIR%%/docgen2/support/images/sidebarframe.png
+%%DATADIR%%/docgen2/support/images/sidebarframebottom.png
+%%DATADIR%%/docgen2/support/images/subprogram-spec.png
 %%DATADIR%%/docgen2/support/images/tree_item.png
+%%DATADIR%%/docgen2/support/images/tree_root.png
 %%DATADIR%%/docgen2/support/images/treechildren_bg.png
 %%DATADIR%%/docgen2/support/images/treechildren_bg_bottom.png
-%%DATADIR%%/docgen2/support/images/subprogram-spec.png
-%%DATADIR%%/docgen2/support/images/sidebarframe.png
-%%DATADIR%%/docgen2/support/images/sidebarframebottom.png
-%%DATADIR%%/docgen2/support/images/rightside.png
-%%DATADIR%%/docgen2/support/images/rightsidebottom.png
-%%DATADIR%%/docgen2/support/images/package-spec.png
-%%DATADIR%%/docgen2/support/images/nav2_btn_up.png
-%%DATADIR%%/docgen2/support/images/nav2_btn_mo.png
-%%DATADIR%%/docgen2/support/images/nav1_btn_up.png
-%%DATADIR%%/docgen2/support/images/nav1_btn_mo.png
-%%DATADIR%%/docgen2/support/images/menubar.png
-%%DATADIR%%/docgen2/support/images/menubarbottom.png
-%%DATADIR%%/docgen2/support/images/link.png
-%%DATADIR%%/docgen2/support/images/generic-spec.png
-%%DATADIR%%/docgen2/support/images/arrow_open.png
-%%DATADIR%%/docgen2/support/images/arrow_close.png
-%%DATADIR%%/docgen2/support/docgen.js
-%%DATADIR%%/docgen2/support/docgen.css
-%%DATADIR%%/docgen2/src.tmpl
-%%DATADIR%%/docgen2/navigation.tmpl
-%%DATADIR%%/docgen2/navbutton.tmpl
-%%DATADIR%%/docgen2/multilink.tmpl
-%%DATADIR%%/docgen2/index_entry.tmpl
-%%DATADIR%%/docgen2/html.tmpl
-%%DATADIR%%/docgen2/entities.tmpl
-%%DATADIR%%/docgen2/custom/tags.css
-%%DATADIR%%/default.gpr
-%%DATADIR%%/aunit/test_suite.ads.tmpl
-%%DATADIR%%/aunit/test_suite.adb.tmpl
-%%DATADIR%%/aunit/test_case.ads.tmpl
-%%DATADIR%%/aunit/test_case.adb.tmpl
-%%DATADIR%%/aunit/harness.adb.tmpl
-%%DATADIR%%/activity_log.tmplt
-%%EXAMPLESDIR%%/xml/gnatmake.xml
-%%EXAMPLESDIR%%/xml/README
-%%EXAMPLESDIR%%/tutorial/struct/values-operations.ads
-%%EXAMPLESDIR%%/tutorial/struct/values-operations.adb
-%%EXAMPLESDIR%%/tutorial/struct/values.ads
-%%EXAMPLESDIR%%/tutorial/struct/values.adb
-%%EXAMPLESDIR%%/tutorial/struct/tokens.ads
-%%EXAMPLESDIR%%/tutorial/struct/tokens.adb
-%%EXAMPLESDIR%%/tutorial/struct/instructions.ads
-%%EXAMPLESDIR%%/tutorial/struct/instructions.adb
-%%EXAMPLESDIR%%/tutorial/sdc.gpr
-%%EXAMPLESDIR%%/tutorial/projects/prj4/src4.adb
-%%EXAMPLESDIR%%/tutorial/projects/prj4.gpr
-%%EXAMPLESDIR%%/tutorial/projects/prj3/src3.adb
-%%EXAMPLESDIR%%/tutorial/projects/prj3.gpr
-%%EXAMPLESDIR%%/tutorial/projects/prj2/src2.adb
-%%EXAMPLESDIR%%/tutorial/projects/prj2.gpr
-%%EXAMPLESDIR%%/tutorial/projects/prj1/src1.adb
-%%EXAMPLESDIR%%/tutorial/projects/prj1.gpr
-%%EXAMPLESDIR%%/tutorial/obj/.cvsignore
-%%EXAMPLESDIR%%/tutorial/input.txt
-%%EXAMPLESDIR%%/tutorial/common/stack.ads
-%%EXAMPLESDIR%%/tutorial/common/stack.adb
-%%EXAMPLESDIR%%/tutorial/common/sdc.ads
-%%EXAMPLESDIR%%/tutorial/common/sdc.adb
-%%EXAMPLESDIR%%/tutorial/common/screen_output.ads
-%%EXAMPLESDIR%%/tutorial/common/screen_output.adb
-%%EXAMPLESDIR%%/tutorial/common/input.ads
-%%EXAMPLESDIR%%/tutorial/common/input.adb
-%%EXAMPLESDIR%%/tutorial/common/except.ads
-%%EXAMPLESDIR%%/remote/src/instr.ads
-%%EXAMPLESDIR%%/remote/src/instr.adb
-%%EXAMPLESDIR%%/remote/src/gen_list.ads
-%%EXAMPLESDIR%%/remote/src/gen_list.adb
-%%EXAMPLESDIR%%/remote/src/demo1.adb
-%%EXAMPLESDIR%%/remote/remote.gpr
-%%EXAMPLESDIR%%/remote/obj/.cvsignore
-%%EXAMPLESDIR%%/remote/my_ssh
-%%EXAMPLESDIR%%/remote/README
-%%EXAMPLESDIR%%/python/remote_server_assign_variable.py
-%%EXAMPLESDIR%%/python/reformat_project.py
-%%EXAMPLESDIR%%/python/readonly.py
-%%EXAMPLESDIR%%/python/project_view.py
-%%EXAMPLESDIR%%/python/prefs.py
-%%EXAMPLESDIR%%/python/misc_text_utils.py
-%%EXAMPLESDIR%%/python/indent_all.py
-%%EXAMPLESDIR%%/python/hello_gtk.py
-%%EXAMPLESDIR%%/python/globals.py
-%%EXAMPLESDIR%%/python/doc.py
-%%EXAMPLESDIR%%/python/docgen_gtkada.py
-%%EXAMPLESDIR%%/python/colors.py
-%%EXAMPLESDIR%%/python/clipboards.py
-%%EXAMPLESDIR%%/python/build.py
-%%EXAMPLESDIR%%/python/bookmarks.py
-%%EXAMPLESDIR%%/python/ada_expansion.py
-%%EXAMPLESDIR%%/python/README
-%%EXAMPLESDIR%%/language/language_custom.h
-%%EXAMPLESDIR%%/language/language_custom.ads
-%%EXAMPLESDIR%%/language/gprcustom.c
-%%EXAMPLESDIR%%/language/gpr_custom.ads
-%%EXAMPLESDIR%%/language/gpr_custom.adb
-%%EXAMPLESDIR%%/language/README
-%%EXAMPLESDIR%%/language/Makefile
-%%EXAMPLESDIR%%/demo/struct/values-operations.ads
-%%EXAMPLESDIR%%/demo/struct/values-operations.adb
-%%EXAMPLESDIR%%/demo/struct/values.ads
-%%EXAMPLESDIR%%/demo/struct/values.adb
-%%EXAMPLESDIR%%/demo/struct/tokens.ads
-%%EXAMPLESDIR%%/demo/struct/tokens.adb
-%%EXAMPLESDIR%%/demo/struct/instructions.ads
-%%EXAMPLESDIR%%/demo/struct/instructions.adb
-%%EXAMPLESDIR%%/demo/projects/prj4/src4.adb
-%%EXAMPLESDIR%%/demo/projects/prj4.gpr
-%%EXAMPLESDIR%%/demo/projects/prj3/src3.adb
-%%EXAMPLESDIR%%/demo/projects/prj3.gpr
-%%EXAMPLESDIR%%/demo/projects/prj2/src2.adb
-%%EXAMPLESDIR%%/demo/projects/prj2.gpr
-%%EXAMPLESDIR%%/demo/projects/prj1/src1.adb
-%%EXAMPLESDIR%%/demo/projects/prj1.gpr
-%%EXAMPLESDIR%%/demo/obj/.cvsignore
-%%EXAMPLESDIR%%/demo/matrix_handling/matrix_utils.c
-%%EXAMPLESDIR%%/demo/matrix_handling/matrix.h
+%%DATADIR%%/docgen2/support/images/type-spec.png
+%%DATADIR%%/docgen2/support/images/variable-spec.png
+%%DATADIR%%/docgen2/tree.tmpl
+%%DATADIR%%/docgen2/tree_elem.tmpl
+%%DATADIR%%/docgen2/userdef.tmpl
+%%DATADIR%%/gps-animation.gif
+%%DATADIR%%/gps-animation.png
+%%DATADIR%%/gps-splash.png
+%%DATADIR%%/icons/16px/box.png
+%%DATADIR%%/icons/16px/build_all_16.png
+%%DATADIR%%/icons/16px/build_main_16.png
+%%DATADIR%%/icons/16px/cleanup_16.png
+%%DATADIR%%/icons/16px/clipboard_16.png
+%%DATADIR%%/icons/16px/compile_16.png
+%%DATADIR%%/icons/16px/compute_xref_16.png
+%%DATADIR%%/icons/16px/copy_16.png
+%%DATADIR%%/icons/16px/custom_build_16.png
+%%DATADIR%%/icons/16px/cut_16.png
+%%DATADIR%%/icons/16px/debug_break.png
+%%DATADIR%%/icons/16px/debug_indicator.png
+%%DATADIR%%/icons/16px/entities/circle.png
+%%DATADIR%%/icons/16px/entities/circle_p.png
+%%DATADIR%%/icons/16px/entities/circle_ps.png
+%%DATADIR%%/icons/16px/entities/circle_s.png
+%%DATADIR%%/icons/16px/entities/circle_x.png
+%%DATADIR%%/icons/16px/entities/circle_xs.png
+%%DATADIR%%/icons/16px/entities/diamond.png
+%%DATADIR%%/icons/16px/entities/diamond_p.png
+%%DATADIR%%/icons/16px/entities/diamond_ps.png
+%%DATADIR%%/icons/16px/entities/diamond_s.png
+%%DATADIR%%/icons/16px/entities/diamond_x.png
+%%DATADIR%%/icons/16px/entities/diamond_xs.png
+%%DATADIR%%/icons/16px/entities/dot.png
+%%DATADIR%%/icons/16px/entities/dot_p.png
+%%DATADIR%%/icons/16px/entities/dot_ps.png
+%%DATADIR%%/icons/16px/entities/dot_s.png
+%%DATADIR%%/icons/16px/entities/dot_x.png
+%%DATADIR%%/icons/16px/entities/dot_xs.png
+%%DATADIR%%/icons/16px/entities/square.png
+%%DATADIR%%/icons/16px/entities/square_p.png
+%%DATADIR%%/icons/16px/entities/square_ps.png
+%%DATADIR%%/icons/16px/entities/square_s.png
+%%DATADIR%%/icons/16px/entities/square_x.png
+%%DATADIR%%/icons/16px/entities/square_xs.png
+%%DATADIR%%/icons/16px/entities/triangle.png
+%%DATADIR%%/icons/16px/entities/triangle_p.png
+%%DATADIR%%/icons/16px/entities/triangle_ps.png
+%%DATADIR%%/icons/16px/entities/triangle_s.png
+%%DATADIR%%/icons/16px/entities/triangle_x.png
+%%DATADIR%%/icons/16px/entities/triangle_xs.png
+%%DATADIR%%/icons/16px/error.png
+%%DATADIR%%/icons/16px/file.png
+%%DATADIR%%/icons/16px/file_altered.png
+%%DATADIR%%/icons/16px/file_error.png
+%%DATADIR%%/icons/16px/file_pencil.png
+%%DATADIR%%/icons/16px/file_warning.png
+%%DATADIR%%/icons/16px/finish_16.png
+%%DATADIR%%/icons/16px/folder_closed.png
+%%DATADIR%%/icons/16px/folder_e_closed.png
+%%DATADIR%%/icons/16px/folder_e_open.png
+%%DATADIR%%/icons/16px/folder_o_closed.png
+%%DATADIR%%/icons/16px/folder_o_open.png
+%%DATADIR%%/icons/16px/folder_open.png
+%%DATADIR%%/icons/16px/goto_next_16.png
+%%DATADIR%%/icons/16px/goto_previous_16.png
+%%DATADIR%%/icons/16px/gps_16.png
+%%DATADIR%%/icons/16px/newfile_16.png
+%%DATADIR%%/icons/16px/newfile_b_16.png
+%%DATADIR%%/icons/16px/next_16.png
+%%DATADIR%%/icons/16px/open_16.png
+%%DATADIR%%/icons/16px/play_16.png
+%%DATADIR%%/icons/16px/project_box.png
+%%DATADIR%%/icons/16px/project_box_altered.png
+%%DATADIR%%/icons/16px/project_box_error.png
+%%DATADIR%%/icons/16px/project_box_open.png
+%%DATADIR%%/icons/16px/project_box_open_altered.png
+%%DATADIR%%/icons/16px/project_box_pencil.png
+%%DATADIR%%/icons/16px/project_box_warning.png
+%%DATADIR%%/icons/16px/redo_16.png
+%%DATADIR%%/icons/16px/save_16.png
+%%DATADIR%%/icons/16px/semantic_check_16.png
+%%DATADIR%%/icons/16px/stack_down_16.png
+%%DATADIR%%/icons/16px/stack_up_16.png
+%%DATADIR%%/icons/16px/step_16.png
+%%DATADIR%%/icons/16px/stop_16.png
+%%DATADIR%%/icons/16px/sync_to_local.png
+%%DATADIR%%/icons/16px/sync_to_remote.png
+%%DATADIR%%/icons/16px/syntax_check_16.png
+%%DATADIR%%/icons/16px/undo_16.png
+%%DATADIR%%/icons/16px/warning.png
+%%DATADIR%%/icons/18px/build_all_18.png
+%%DATADIR%%/icons/18px/build_main_18.png
+%%DATADIR%%/icons/18px/cleanup_18.png
+%%DATADIR%%/icons/18px/clipboard_18.png
+%%DATADIR%%/icons/18px/compile_18.png
+%%DATADIR%%/icons/18px/compute_xref_18.png
+%%DATADIR%%/icons/18px/copy_18.png
+%%DATADIR%%/icons/18px/custom_build_18.png
+%%DATADIR%%/icons/18px/cut_18.png
+%%DATADIR%%/icons/18px/finish_18.png
+%%DATADIR%%/icons/18px/goto_next_18.png
+%%DATADIR%%/icons/18px/goto_previous_18.png
+%%DATADIR%%/icons/18px/newfile_18.png
+%%DATADIR%%/icons/18px/next_18.png
+%%DATADIR%%/icons/18px/open_18.png
+%%DATADIR%%/icons/18px/play_18.png
+%%DATADIR%%/icons/18px/redo_18.png
+%%DATADIR%%/icons/18px/save_18.png
+%%DATADIR%%/icons/18px/semantic_check_18.png
+%%DATADIR%%/icons/18px/stack_down_18.png
+%%DATADIR%%/icons/18px/stack_up_18.png
+%%DATADIR%%/icons/18px/step_18.png
+%%DATADIR%%/icons/18px/stop_18.png
+%%DATADIR%%/icons/18px/syntax_check_18.png
+%%DATADIR%%/icons/18px/undo_18.png
+%%DATADIR%%/icons/20px/vcs-added.png
+%%DATADIR%%/icons/20px/vcs-has-conflicts.png
+%%DATADIR%%/icons/20px/vcs-modified.png
+%%DATADIR%%/icons/20px/vcs-needs-merge.png
+%%DATADIR%%/icons/20px/vcs-needs-update.png
+%%DATADIR%%/icons/20px/vcs-not-registered.png
+%%DATADIR%%/icons/20px/vcs-removed.png
+%%DATADIR%%/icons/20px/vcs-unknown.png
+%%DATADIR%%/icons/20px/vcs-up-to-date.png
+%%DATADIR%%/icons/24px/build_all_24.png
+%%DATADIR%%/icons/24px/build_main_24.png
+%%DATADIR%%/icons/24px/cleanup_24.png
+%%DATADIR%%/icons/24px/clipboard_24.png
+%%DATADIR%%/icons/24px/compile_24.png
+%%DATADIR%%/icons/24px/compute_xref_24.png
+%%DATADIR%%/icons/24px/copy_24.png
+%%DATADIR%%/icons/24px/custom_build_24.png
+%%DATADIR%%/icons/24px/cut_24.png
+%%DATADIR%%/icons/24px/finish_24.png
+%%DATADIR%%/icons/24px/goto_next_24.png
+%%DATADIR%%/icons/24px/goto_previous_24.png
+%%DATADIR%%/icons/24px/newfile_24.png
+%%DATADIR%%/icons/24px/next_24.png
+%%DATADIR%%/icons/24px/open_24.png
+%%DATADIR%%/icons/24px/play_24.png
+%%DATADIR%%/icons/24px/redo_24.png
+%%DATADIR%%/icons/24px/save_24.png
+%%DATADIR%%/icons/24px/semantic_check_24.png
+%%DATADIR%%/icons/24px/stack_down_24.png
+%%DATADIR%%/icons/24px/stack_up_24.png
+%%DATADIR%%/icons/24px/step_24.png
+%%DATADIR%%/icons/24px/stop_24.png
+%%DATADIR%%/icons/24px/syntax_check_24.png
+%%DATADIR%%/icons/24px/undo_24.png
+%%DATADIR%%/icons/32px/gps_32.png
+%%DATADIR%%/icons/48px/gps_48.png
+%%DATADIR%%/icons/9px/build_error.png
+%%DATADIR%%/icons/9px/build_error_fixable.png
+%%DATADIR%%/icons/9px/build_style.png
+%%DATADIR%%/icons/9px/build_style_fixable.png
+%%DATADIR%%/icons/9px/build_warning.png
+%%DATADIR%%/icons/9px/build_warning_fixable.png
+%%DATADIR%%/icons/9px/executed_code.png
+%%DATADIR%%/icons/9px/line_has_code.png
+%%DATADIR%%/icons/9px/line_might_have_code.png
+%%DATADIR%%/icons/9px/non_executed_code.png
+%%DATADIR%%/icons/9px/partially_covered_code.png
+%%DATADIR%%/icons/9px/wrench.png
+%%DATADIR%%/icons/9px/wrench_multi.png
+%%DATADIR%%/icons/other/adacore_logo.png
+%%DATADIR%%/icons/other/button_guide.png
+%%DATADIR%%/icons/other/button_guide_over.png
+%%DATADIR%%/icons/other/button_overview.png
+%%DATADIR%%/icons/other/button_overview_over.png
+%%DATADIR%%/icons/other/button_tutorial.png
+%%DATADIR%%/icons/other/button_tutorial_over.png
+%%DATADIR%%/icons/other/get_started.png
+%%DATADIR%%/icons/other/welcome_header.png
+%%DATADIR%%/library/GPS_old.py
+%%DATADIR%%/library/addr2line.py
+%%DATADIR%%/library/auto_changelog.py
+%%DATADIR%%/library/autoformat.py
+%%DATADIR%%/library/autognatpp.py
+%%DATADIR%%/library/copy_paste.py
+%%DATADIR%%/library/copy_paste_toolbar.py
+%%DATADIR%%/library/create_missing_dirs.py
+%%DATADIR%%/library/createfile.py
+%%DATADIR%%/library/debugger.py
+%%DATADIR%%/library/dependencies.py
+%%DATADIR%%/library/eclipse.py
+%%DATADIR%%/library/emacs.xml
+%%DATADIR%%/library/enter.xml
+%%DATADIR%%/library/execute_extended.py
+%%DATADIR%%/library/filedeps.py
+%%DATADIR%%/library/filepos.py
+%%DATADIR%%/library/first_subtype.py
+%%DATADIR%%/library/gnatpp_switches.py
+%%DATADIR%%/library/gnatr.xml
+%%DATADIR%%/library/highlight_selection.py
+%%DATADIR%%/library/isearch.py
+%%DATADIR%%/library/ispell.py
+%%DATADIR%%/library/local_history.py
+%%DATADIR%%/library/occurrences.py
+%%DATADIR%%/library/online_support.py
+%%DATADIR%%/library/open_file.py
+%%DATADIR%%/library/ppc.xml
+%%DATADIR%%/library/pygps/__init__.py
+%%DATADIR%%/library/pygps/notebook.py
+%%DATADIR%%/library/pygps/project.py
+%%DATADIR%%/library/pygps/tree.py
+%%DATADIR%%/library/save_on_compile.py
+%%DATADIR%%/library/separate.py
+%%DATADIR%%/library/simple_project.py
+%%DATADIR%%/library/skeleton.py
+%%DATADIR%%/library/unicode.py
+%%DATADIR%%/library/unused_entities.py
+%%DATADIR%%/library/vi.py
+%%DATADIR%%/perspectives.xml
+%%DATADIR%%/plug-ins/Makefile.py
+%%DATADIR%%/plug-ins/ada-support.xml
+%%DATADIR%%/plug-ins/ada_support.py
+%%DATADIR%%/plug-ins/align.py
+%%DATADIR%%/plug-ins/auto_highlight_occurrences.py
+%%DATADIR%%/plug-ins/block_completion.py
+%%DATADIR%%/plug-ins/build_modes.xml
+%%DATADIR%%/plug-ins/build_targets.xml
+%%DATADIR%%/plug-ins/c_support.xml
+%%DATADIR%%/plug-ins/changelog.xml
+%%DATADIR%%/plug-ins/childtree.png
+%%DATADIR%%/plug-ins/childtree2.png
+%%DATADIR%%/plug-ins/clearcase.xml
+%%DATADIR%%/plug-ins/codepeer.py
+%%DATADIR%%/plug-ins/csharp.xml
+%%DATADIR%%/plug-ins/cvs.xml
+%%DATADIR%%/plug-ins/dispatching.py
+%%DATADIR%%/plug-ins/docgen_base_tags.py
+%%DATADIR%%/plug-ins/editors.py
+%%DATADIR%%/plug-ins/expanded_code.py
+%%DATADIR%%/plug-ins/gcov.py
+%%DATADIR%%/plug-ins/git.xml
+%%DATADIR%%/plug-ins/git_support.py
+%%DATADIR%%/plug-ins/gnat_switches.py
+%%DATADIR%%/plug-ins/gnatcheck.py
+%%DATADIR%%/plug-ins/gnatdist_support.py
+%%DATADIR%%/plug-ins/gnatmetric.xml
+%%DATADIR%%/plug-ins/gnatpp.xml
+%%DATADIR%%/plug-ins/gnatpsta.py
+%%DATADIR%%/plug-ins/gnatstack.py
+%%DATADIR%%/plug-ins/gnatstub.xml
+%%DATADIR%%/plug-ins/gpr.xml
+%%DATADIR%%/plug-ins/gps_utils/__init__.py
+%%DATADIR%%/plug-ins/gps_utils/console_process.py
+%%DATADIR%%/plug-ins/gps_utils/gnat_rules.py
+%%DATADIR%%/plug-ins/gps_utils/gnatcheck_default.py
+%%DATADIR%%/plug-ins/gps_utils/gnatcheck_rules_editor.py
+%%DATADIR%%/plug-ins/gps_utils/highlighter.py
+%%DATADIR%%/plug-ins/gps_utils/switches.py
+%%DATADIR%%/plug-ins/icons.xml
+%%DATADIR%%/plug-ins/images/tip_all_occurrences.png
+%%DATADIR%%/plug-ins/images/tip_build_menu.png
+%%DATADIR%%/plug-ins/images/tip_entity_view.png
+%%DATADIR%%/plug-ins/images/tip_entity_view_dnd.png
+%%DATADIR%%/plug-ins/images/tip_insert_spaces_with_tab.png
+%%DATADIR%%/plug-ins/images/tip_jump_to_first_location.png
+%%DATADIR%%/plug-ins/images/tip_keyboard_macro.png
+%%DATADIR%%/plug-ins/images/tip_makefile_support.png
+%%DATADIR%%/plug-ins/images/tip_multi_language_builder.png
+%%DATADIR%%/plug-ins/images/tip_multiple_views.png
+%%DATADIR%%/plug-ins/images/tip_notebook_tabs_position.png
+%%DATADIR%%/plug-ins/images/tip_os_shell.png
+%%DATADIR%%/plug-ins/images/tip_task_manager.png
+%%DATADIR%%/plug-ins/languages.xml
+%%DATADIR%%/plug-ins/listvars.py
+%%DATADIR%%/plug-ins/locations_view_utils.py
+%%DATADIR%%/plug-ins/methods.py
+%%DATADIR%%/plug-ins/navigation_utils.py
+%%DATADIR%%/plug-ins/os_utils.py
+%%DATADIR%%/plug-ins/pipe.py
+%%DATADIR%%/plug-ins/projects.xml
+%%DATADIR%%/plug-ins/protocols.xml
+%%DATADIR%%/plug-ins/python_doc.py
+%%DATADIR%%/plug-ins/python_support.py
+%%DATADIR%%/plug-ins/rectangles.py
+%%DATADIR%%/plug-ins/reset_gps_registry.py
+%%DATADIR%%/plug-ins/runtime.xml
+%%DATADIR%%/plug-ins/shell.py
+%%DATADIR%%/plug-ins/sort_selection.py
+%%DATADIR%%/plug-ins/spark/spark.py
+%%DATADIR%%/plug-ins/spark_support.py
+%%DATADIR%%/plug-ins/subversion.xml
+%%DATADIR%%/plug-ins/text_utils.py
+%%DATADIR%%/plug-ins/tip_of_the_day.py
+%%DATADIR%%/plug-ins/toolchains.xml
+%%DATADIR%%/plug-ins/url.py
+%%DATADIR%%/plug-ins/xcov.py
+%%DATADIR%%/plug-ins/xml_support.py
+%%DATADIR%%/plug-ins/zoom.py
+%%DATADIR%%/predefined_ada.xml
+%%DATADIR%%/readonly.gpr
+%%DATADIR%%/shell_commands.xml
+%%DATADIR%%/templates/ajis_hello/@_project_name_@.gpr
+%%DATADIR%%/templates/ajis_hello/Makefile
+%%DATADIR%%/templates/ajis_hello/ajis_hello.gpt
+%%DATADIR%%/templates/ajis_hello/src_ada/hello.adb
+%%DATADIR%%/templates/ajis_hello/src_ada/hello.ads
+%%DATADIR%%/templates/ajis_hello/src_java/com/adacore/example/@_Main_Name_@.java
+%%DATADIR%%/templates/aws_simple_web_server/@_project_name_@.gpr
+%%DATADIR%%/templates/aws_simple_web_server/simple_web_server.gpt
+%%DATADIR%%/templates/aws_simple_web_server/src/@_project_name_@-callbacks.adb
+%%DATADIR%%/templates/aws_simple_web_server/src/@_project_name_@-callbacks.ads
+%%DATADIR%%/templates/aws_simple_web_server/src/@_project_name_@-main.adb
+%%DATADIR%%/templates/aws_simple_web_server/src/@_project_name_@.ads
+%%DATADIR%%/templates/aws_web_server/@_project_name_@.gpr
+%%DATADIR%%/templates/aws_web_server/css/style.css
+%%DATADIR%%/templates/aws_web_server/img/gps_logo.png
+%%DATADIR%%/templates/aws_web_server/src/@_project_name_@-dispatchers.adb
+%%DATADIR%%/templates/aws_web_server/src/@_project_name_@-dispatchers.ads
+%%DATADIR%%/templates/aws_web_server/src/@_project_name_@-main.adb
+%%DATADIR%%/templates/aws_web_server/src/@_project_name_@.ads
+%%DATADIR%%/templates/aws_web_server/tmplt/main.thtml
+%%DATADIR%%/templates/aws_web_server/web_server.gpt
+%%DATADIR%%/templates/aws_web_server_blocks/@_project_name_@.gpr
+%%DATADIR%%/templates/aws_web_server_blocks/README
+%%DATADIR%%/templates/aws_web_server_blocks/css/style.css
+%%DATADIR%%/templates/aws_web_server_blocks/gen/templates.tada
+%%DATADIR%%/templates/aws_web_server_blocks/img/gps_logo.png
+%%DATADIR%%/templates/aws_web_server_blocks/js/ajax_api.tjs
+%%DATADIR%%/templates/aws_web_server_blocks/js/aws.tjs
+%%DATADIR%%/templates/aws_web_server_blocks/js/aws_kernel.tjs
+%%DATADIR%%/templates/aws_web_server_blocks/js/behaviour.js
+%%DATADIR%%/templates/aws_web_server_blocks/js/prototype.js
+%%DATADIR%%/templates/aws_web_server_blocks/js/scriptaculous.js
+%%DATADIR%%/templates/aws_web_server_blocks/makefile
+%%DATADIR%%/templates/aws_web_server_blocks/open_readme.py
+%%DATADIR%%/templates/aws_web_server_blocks/src/@_project_name_@-ajax.adb
+%%DATADIR%%/templates/aws_web_server_blocks/src/@_project_name_@-ajax.ads
+%%DATADIR%%/templates/aws_web_server_blocks/src/@_project_name_@-dispatchers.adb
+%%DATADIR%%/templates/aws_web_server_blocks/src/@_project_name_@-dispatchers.ads
+%%DATADIR%%/templates/aws_web_server_blocks/src/@_project_name_@-main.adb
+%%DATADIR%%/templates/aws_web_server_blocks/src/@_project_name_@-web_blocks.adb
+%%DATADIR%%/templates/aws_web_server_blocks/src/@_project_name_@-web_blocks.ads
+%%DATADIR%%/templates/aws_web_server_blocks/src/@_project_name_@.ads
+%%DATADIR%%/templates/aws_web_server_blocks/tmplt/main.thtml
+%%DATADIR%%/templates/aws_web_server_blocks/tmplt/r_widget_counter.txml
+%%DATADIR%%/templates/aws_web_server_blocks/tmplt/widget_counter.thtml
+%%DATADIR%%/templates/aws_web_server_blocks/web_server_blocks.gpt
+%%DATADIR%%/templates/gtkada_minimal/@_project_name_@.gpr
+%%DATADIR%%/templates/gtkada_minimal/gtkada_minimal.gpt
+%%DATADIR%%/templates/gtkada_minimal/src/@_main_name_@.adb
+%%DATADIR%%/templates/simple_project/@_project_name_@.gpr
+%%DATADIR%%/templates/simple_project/simple_project.gpt
+%%DATADIR%%/templates/simple_project/src/@_main_name_@.adb
+%%DOCSDIR%%/html/Adding-New-Help-Files.html
+%%DOCSDIR%%/html/Adding-casing-exceptions.html
+%%DOCSDIR%%/html/Adding-contextual-menus.html
+%%DOCSDIR%%/html/Adding-documentation.html
+%%DOCSDIR%%/html/Adding-new-menus.html
+%%DOCSDIR%%/html/Adding-project-templates.html
+%%DOCSDIR%%/html/Adding-stock-icons.html
+%%DOCSDIR%%/html/Adding-support-for-new-Version-Control-Systems.html
+%%DOCSDIR%%/html/Adding-support-for-new-languages.html
+%%DOCSDIR%%/html/Adding-support-for-new-tools.html
+%%DOCSDIR%%/html/Adding-tool-bar-buttons.html
+%%DOCSDIR%%/html/Annotate.html
+%%DOCSDIR%%/html/Associating-actions-to-operations.html
+%%DOCSDIR%%/html/Automatically-loading-python-files-at-startup.html
+%%DOCSDIR%%/html/Binding-actions-to-keys.html
+%%DOCSDIR%%/html/Bookmarks.html
+%%DOCSDIR%%/html/Call-Graph.html
+%%DOCSDIR%%/html/Chaining-commands.html
+%%DOCSDIR%%/html/Closing-Windows.html
+%%DOCSDIR%%/html/Code-Coverage.html
+%%DOCSDIR%%/html/Code-Fixing.html
+%%DOCSDIR%%/html/Coding-Standard.html
+%%DOCSDIR%%/html/Command-Line-Options.html
+%%DOCSDIR%%/html/Commit.html
+%%DOCSDIR%%/html/Compare-against-head.html
+%%DOCSDIR%%/html/Compare-against-revision.html
+%%DOCSDIR%%/html/Compare-against-working.html
+%%DOCSDIR%%/html/Compare-base-against-head.html
+%%DOCSDIR%%/html/Compare-base-against-tag_002fbranch.html
+%%DOCSDIR%%/html/Compilation_002fBuild.html
+%%DOCSDIR%%/html/Complete-Identifier.html
+%%DOCSDIR%%/html/Configuring-rsync-usage.html
+%%DOCSDIR%%/html/Connection-settings.html
+%%DOCSDIR%%/html/Contextual-Menus-for-Editing-Files.html
+%%DOCSDIR%%/html/Contextual-Menus-for-Source-Navigation.html
+%%DOCSDIR%%/html/Contextual-menus-on-object-directories-only.html
+%%DOCSDIR%%/html/Coverage-Analysis-Preferences.html
+%%DOCSDIR%%/html/Coverage-Report.html
+%%DOCSDIR%%/html/Creating-custom-graphical-interfaces.html
+%%DOCSDIR%%/html/Creating-themes.html
+%%DOCSDIR%%/html/Custom-VCS-interfaces.html
+%%DOCSDIR%%/html/Customization-examples.html
+%%DOCSDIR%%/html/Customization-files-and-plugins.html
+%%DOCSDIR%%/html/Customizing-and-Extending-GPS.html
+%%DOCSDIR%%/html/Customizing-build-Targets-and-Models.html
+%%DOCSDIR%%/html/Customizing-the-Debugger.html
+%%DOCSDIR%%/html/Customizing-through-XML-and-Python-files.html
+%%DOCSDIR%%/html/Customizing-your-Projects.html
+%%DOCSDIR%%/html/Debugger-Issues.html
+%%DOCSDIR%%/html/Debugging.html
+%%DOCSDIR%%/html/Defining-Actions.html
+%%DOCSDIR%%/html/Defining-a-remote-connection-tool.html
+%%DOCSDIR%%/html/Defining-a-remote-path-translation.html
+%%DOCSDIR%%/html/Defining-a-remote-server.html
+%%DOCSDIR%%/html/Defining-a-shell.html
+%%DOCSDIR%%/html/Defining-default-command-line.html
+%%DOCSDIR%%/html/Defining-new-Modes.html
+%%DOCSDIR%%/html/Defining-new-Target-Models.html
+%%DOCSDIR%%/html/Defining-new-Targets.html
+%%DOCSDIR%%/html/Defining-new-search-patterns.html
+%%DOCSDIR%%/html/Defining-project-attributes.html
+%%DOCSDIR%%/html/Defining-revision-information.html
+%%DOCSDIR%%/html/Defining-status.html
+%%DOCSDIR%%/html/Defining-supported-languages.html
+%%DOCSDIR%%/html/Defining-text-aliases.html
+%%DOCSDIR%%/html/Defining-tool-switches.html
+%%DOCSDIR%%/html/Dependency-Browser.html
+%%DOCSDIR%%/html/Describing-a-VCS.html
+%%DOCSDIR%%/html/Description-of-the-Main-Windows.html
+%%DOCSDIR%%/html/Description-of-the-Projects.html
+%%DOCSDIR%%/html/Disabling-Project-Edition-Features.html
+%%DOCSDIR%%/html/Documentation-Generation.html
+%%DOCSDIR%%/html/Documention-Preferences.html
+%%DOCSDIR%%/html/Editing-Files.html
+%%DOCSDIR%%/html/Editing-Sources.html
+%%DOCSDIR%%/html/Entity-Browser.html
+%%DOCSDIR%%/html/Environment-Variables.html
+%%DOCSDIR%%/html/Environment.html
+%%DOCSDIR%%/html/Executing-external-tools.html
+%%DOCSDIR%%/html/Extending-Projects.html
+%%DOCSDIR%%/html/Extract-Subprogram.html
+%%DOCSDIR%%/html/File-Switches.html
+%%DOCSDIR%%/html/Files.html
+%%DOCSDIR%%/html/Filtering-actions.html
+%%DOCSDIR%%/html/Find-All-References.html
+%%DOCSDIR%%/html/Floating-Windows.html
+%%DOCSDIR%%/html/GNU-Free-Documentation-License.html
+%%DOCSDIR%%/html/GPS-Themes.html
+%%DOCSDIR%%/html/General-Information.html
+%%DOCSDIR%%/html/General-Issues.html
+%%DOCSDIR%%/html/Handling-of-case-exceptions.html
+%%DOCSDIR%%/html/Hello-World_0021-in-python.html
+%%DOCSDIR%%/html/Hiding-contextual-menus.html
+%%DOCSDIR%%/html/Highlighting-dispatching-calls.html
+%%DOCSDIR%%/html/Hooks.html
+%%DOCSDIR%%/html/Implementing-VCS-actions.html
+%%DOCSDIR%%/html/Index-table.html
+%%DOCSDIR%%/html/Interactive-Search.html
+%%DOCSDIR%%/html/Introduction.html
+%%DOCSDIR%%/html/Limitations.html
+%%DOCSDIR%%/html/Loading-a-remote-project.html
+%%DOCSDIR%%/html/Macro-arguments.html
+%%DOCSDIR%%/html/Menu-Items.html
+%%DOCSDIR%%/html/Menu-example.html
+%%DOCSDIR%%/html/Metrics.html
+%%DOCSDIR%%/html/Moving-Windows.html
+%%DOCSDIR%%/html/Multiple-Document-Interface.html
+%%DOCSDIR%%/html/Name-Parameters.html
+%%DOCSDIR%%/html/Navigating-with-hyperlinks.html
+%%DOCSDIR%%/html/Online-Help.html
+%%DOCSDIR%%/html/Open-From-Host.html
+%%DOCSDIR%%/html/Open-From-Project.html
+%%DOCSDIR%%/html/Open.html
+%%DOCSDIR%%/html/Outline-Preferences.html
+%%DOCSDIR%%/html/Output-parsers.html
+%%DOCSDIR%%/html/Paths-settings.html
+%%DOCSDIR%%/html/Perspectives.html
+%%DOCSDIR%%/html/Preferences-support-in-custom-files.html
+%%DOCSDIR%%/html/Print-Command.html
+%%DOCSDIR%%/html/Printing-the-GPS-Python-documentation.html
+%%DOCSDIR%%/html/Processing-the-tool-output.html
+%%DOCSDIR%%/html/Project-Handling.html
+%%DOCSDIR%%/html/Project-View.html
+%%DOCSDIR%%/html/Python-FAQ.html
+%%DOCSDIR%%/html/Querying-project-switches.html
+%%DOCSDIR%%/html/Querying-switches-interactively.html
+%%DOCSDIR%%/html/Recording-and-replaying-macros.html
+%%DOCSDIR%%/html/Rectangles.html
+%%DOCSDIR%%/html/Redirecting-the-command-output.html
+%%DOCSDIR%%/html/Redirecting-the-output-of-spawned-processes.html
+%%DOCSDIR%%/html/Redirecting-the-output-to-specific-windows.html
+%%DOCSDIR%%/html/Refactoring.html
+%%DOCSDIR%%/html/Reloading-a-python-file-in-GPS.html
+%%DOCSDIR%%/html/Remote-Files.html
+%%DOCSDIR%%/html/Remote-operations.html
+%%DOCSDIR%%/html/Remote-programming-customization.html
+%%DOCSDIR%%/html/Rename-Entity.html
+%%DOCSDIR%%/html/Reporting-Suggestions-and-Bugs.html
+%%DOCSDIR%%/html/Requirements.html
+%%DOCSDIR%%/html/Running-GPS-on-Mac-OS-X.html
+%%DOCSDIR%%/html/Saving-Files.html
+%%DOCSDIR%%/html/Saving-open-windows.html
+%%DOCSDIR%%/html/Scenarios-and-Configuration-Variables.html
+%%DOCSDIR%%/html/Scripting-GPS.html
+%%DOCSDIR%%/html/Scripts-and-GPS-actions.html
+%%DOCSDIR%%/html/Scripts.html
+%%DOCSDIR%%/html/Searching-and-Replacing.html
+%%DOCSDIR%%/html/Selecting-Windows.html
+%%DOCSDIR%%/html/Setup-a-remote-project.html
+%%DOCSDIR%%/html/Setup-the-remote-servers.html
+%%DOCSDIR%%/html/Smart-Completion.html
+%%DOCSDIR%%/html/Solving-Problems.html
+%%DOCSDIR%%/html/Source-Browsing.html
+%%DOCSDIR%%/html/Source-Navigation.html
+%%DOCSDIR%%/html/Spawning-external-processes.html
+%%DOCSDIR%%/html/Splitting-Windows.html
+%%DOCSDIR%%/html/Stack-Analysis.html
+%%DOCSDIR%%/html/Subprogram-parameters.html
+%%DOCSDIR%%/html/Support-for-Cross_002dReferences.html
+%%DOCSDIR%%/html/Supported-Languages.html
+%%DOCSDIR%%/html/Switches.html
+%%DOCSDIR%%/html/The-Assembly-Window.html
+%%DOCSDIR%%/html/The-Breakpoint-Editor.html
+%%DOCSDIR%%/html/The-Build-Menu.html
+%%DOCSDIR%%/html/The-Build-Mode.html
+%%DOCSDIR%%/html/The-Call-Stack-Window.html
+%%DOCSDIR%%/html/The-Callgraph-View.html
+%%DOCSDIR%%/html/The-Clipboard-View.html
+%%DOCSDIR%%/html/The-Data-Window.html
+%%DOCSDIR%%/html/The-Debug-Menu.html
+%%DOCSDIR%%/html/The-Debugger-Console.html
+%%DOCSDIR%%/html/The-Edit-Menu.html
+%%DOCSDIR%%/html/The-Entity-View.html
+%%DOCSDIR%%/html/The-Execution-Window.html
+%%DOCSDIR%%/html/The-File-Menu.html
+%%DOCSDIR%%/html/The-File-Selector.html
+%%DOCSDIR%%/html/The-File-View.html
+%%DOCSDIR%%/html/The-GPS-Shell.html
+%%DOCSDIR%%/html/The-Help-Menu.html
+%%DOCSDIR%%/html/The-Key-Manager-Dialog.html
+%%DOCSDIR%%/html/The-Locations-View.html
+%%DOCSDIR%%/html/The-Memory-Window.html
+%%DOCSDIR%%/html/The-Menu-Bar.html
+%%DOCSDIR%%/html/The-Messages-Window.html
+%%DOCSDIR%%/html/The-Navigate-Menu.html
+%%DOCSDIR%%/html/The-Outline-View.html
+%%DOCSDIR%%/html/The-Plug_002dins-Editor.html
+%%DOCSDIR%%/html/The-Preferences-Dialog.html
+%%DOCSDIR%%/html/The-Project-Browser.html
+%%DOCSDIR%%/html/The-Project-Dependencies-Editor.html
+%%DOCSDIR%%/html/The-Project-Menu.html
+%%DOCSDIR%%/html/The-Project-Properties-Editor.html
+%%DOCSDIR%%/html/The-Project-View.html
+%%DOCSDIR%%/html/The-Project-Wizard.html
+%%DOCSDIR%%/html/The-Python-Interpreter.html
+%%DOCSDIR%%/html/The-Revision-View.html
+%%DOCSDIR%%/html/The-Server-Mode.html
+%%DOCSDIR%%/html/The-Shell-and-Python-Windows.html
+%%DOCSDIR%%/html/The-Stack-Usage-Editor.html
+%%DOCSDIR%%/html/The-Stack-Usage-Report.html
+%%DOCSDIR%%/html/The-Status-Line.html
+%%DOCSDIR%%/html/The-Switches-Editor.html
+%%DOCSDIR%%/html/The-Target-Configuration-Dialog.html
+%%DOCSDIR%%/html/The-Task-Manager.html
+%%DOCSDIR%%/html/The-Tip-of-the-Day.html
+%%DOCSDIR%%/html/The-Tool-Bar.html
+%%DOCSDIR%%/html/The-Tools-Menu.html
+%%DOCSDIR%%/html/The-VCS-Activities.html
+%%DOCSDIR%%/html/The-VCS-Explorer.html
+%%DOCSDIR%%/html/The-VCS-Menu.html
+%%DOCSDIR%%/html/The-VCS-node.html
+%%DOCSDIR%%/html/The-Version-Control-Contextual-Menu.html
+%%DOCSDIR%%/html/The-Welcome-Dialog.html
+%%DOCSDIR%%/html/The-Window-View.html
+%%DOCSDIR%%/html/The-Work-Space.html
+%%DOCSDIR%%/html/The-remote-configuration-dialog.html
+%%DOCSDIR%%/html/The-remote-view.html
+%%DOCSDIR%%/html/Tool-example.html
+%%DOCSDIR%%/html/Toolchains-customization.html
+%%DOCSDIR%%/html/Tools.html
+%%DOCSDIR%%/html/Update.html
+%%DOCSDIR%%/html/Using-GPS-for-Remote-Development.html
+%%DOCSDIR%%/html/Using-an-External-Editor.html
+%%DOCSDIR%%/html/Using-the-Clipboard.html
+%%DOCSDIR%%/html/Using-the-Source-Editor-when-Debugging.html
+%%DOCSDIR%%/html/Version-Control-System.html
+%%DOCSDIR%%/html/View-revision-history.html
+%%DOCSDIR%%/html/Visual-Comparison.html
+%%DOCSDIR%%/html/Working-in-a-Cross-Environment.html
+%%DOCSDIR%%/html/Working-with-global-ChangeLog-file.html
+%%DOCSDIR%%/html/Working-with-two-compilers.html
+%%DOCSDIR%%/html/about.jpg
+%%DOCSDIR%%/html/aliases.jpg
+%%DOCSDIR%%/html/assembly.jpg
+%%DOCSDIR%%/html/autosave-delay.html
+%%DOCSDIR%%/html/bp-advanced.jpg
+%%DOCSDIR%%/html/breakpoints.jpg
+%%DOCSDIR%%/html/call-graph.jpg
+%%DOCSDIR%%/html/call-stack.jpg
+%%DOCSDIR%%/html/canvas.jpg
+%%DOCSDIR%%/html/circle_x.png
+%%DOCSDIR%%/html/colors.jpg
+%%DOCSDIR%%/html/core-files.html
+%%DOCSDIR%%/html/custom-editor-command.html
+%%DOCSDIR%%/html/dependency-browser.jpg
+%%DOCSDIR%%/html/diamond_x.png
+%%DOCSDIR%%/html/docgen.jpg
+%%DOCSDIR%%/html/dot_x.png
+%%DOCSDIR%%/html/entity-browser.jpg
+%%DOCSDIR%%/html/entity-view.jpg
+%%DOCSDIR%%/html/explorer-scenario.jpg
+%%DOCSDIR%%/html/file-view.jpg
+%%DOCSDIR%%/html/gps-splash-academic.png
+%%DOCSDIR%%/html/gps-splash-gpl.png
+%%DOCSDIR%%/html/gps-splash.png
+%%DOCSDIR%%/html/gps-tutorial.html
+%%DOCSDIR%%/html/gps-vcs-added.jpg
+%%DOCSDIR%%/html/gps-vcs-has-conflicts.jpg
+%%DOCSDIR%%/html/gps-vcs-modified.jpg
+%%DOCSDIR%%/html/gps-vcs-needs-merge.jpg
+%%DOCSDIR%%/html/gps-vcs-needs-update.jpg
+%%DOCSDIR%%/html/gps-vcs-not-registered.jpg
+%%DOCSDIR%%/html/gps-vcs-removed.jpg
+%%DOCSDIR%%/html/gps-vcs-unknown.jpg
+%%DOCSDIR%%/html/gps-vcs-up-to-date.jpg
+%%DOCSDIR%%/html/gps-welcome.html
+%%DOCSDIR%%/html/gps.css
+%%DOCSDIR%%/html/gps.html
+%%DOCSDIR%%/html/gps_index.xml
+%%DOCSDIR%%/html/gps_title.gif
+%%DOCSDIR%%/html/help_index.html
+%%DOCSDIR%%/html/index.html
+%%DOCSDIR%%/html/key-shortcuts.jpg
+%%DOCSDIR%%/html/locations-view.jpg
+%%DOCSDIR%%/html/log-file.html
+%%DOCSDIR%%/html/main-gps.jpg
+%%DOCSDIR%%/html/memory-view.jpg
+%%DOCSDIR%%/html/messages.jpg
+%%DOCSDIR%%/html/naming-scheme.jpg
+%%DOCSDIR%%/html/open-file.jpg
+%%DOCSDIR%%/html/open-from-project.jpg
+%%DOCSDIR%%/html/open-program-menu.html
+%%DOCSDIR%%/html/outline-view.jpg
+%%DOCSDIR%%/html/overview.png
+%%DOCSDIR%%/html/preferences-dialog.html
+%%DOCSDIR%%/html/preferences-general.jpg
+%%DOCSDIR%%/html/project-browser.jpg
+%%DOCSDIR%%/html/project-deps.jpg
+%%DOCSDIR%%/html/project-modified.jpg
+%%DOCSDIR%%/html/project-properties.jpg
+%%DOCSDIR%%/html/project-view.jpg
+%%DOCSDIR%%/html/project-wizard.jpg
+%%DOCSDIR%%/html/remote-view-full.jpg
+%%DOCSDIR%%/html/remote-view.jpg
+%%DOCSDIR%%/html/report-of-analysis_flat.jpg
+%%DOCSDIR%%/html/report-of-analysis_tree.jpg
+%%DOCSDIR%%/html/revision-view.jpg
+%%DOCSDIR%%/html/save-dialog.jpg
+%%DOCSDIR%%/html/scenario-view.jpg
+%%DOCSDIR%%/html/scenarios.jpg
+%%DOCSDIR%%/html/search-hide.jpg
+%%DOCSDIR%%/html/search-options.jpg
+%%DOCSDIR%%/html/servers-configuration.jpg
+%%DOCSDIR%%/html/shell-window.jpg
+%%DOCSDIR%%/html/smart-completion.jpg
+%%DOCSDIR%%/html/source-editor.jpg
+%%DOCSDIR%%/html/square_x.png
+%%DOCSDIR%%/html/stack-usage-editor.jpg
+%%DOCSDIR%%/html/switch-editor-revert.jpg
+%%DOCSDIR%%/html/switch-editor.jpg
+%%DOCSDIR%%/html/target-configuration-dialog.jpg
+%%DOCSDIR%%/html/task-manager.jpg
+%%DOCSDIR%%/html/tasks.jpg
+%%DOCSDIR%%/html/tip-of-the-day.jpg
+%%DOCSDIR%%/html/toolchains-config.jpg
+%%DOCSDIR%%/html/tooltips.jpg
+%%DOCSDIR%%/html/triangle_x.png
+%%DOCSDIR%%/html/tutorial.png
+%%DOCSDIR%%/html/user_guide.png
+%%DOCSDIR%%/html/vcs-activities.jpg
+%%DOCSDIR%%/html/vcs-explorer.jpg
+%%DOCSDIR%%/html/visual-diff.jpg
+%%DOCSDIR%%/html/welcome.jpg
+%%EXAMPLESDIR%%/demo/common/except.ads
+%%EXAMPLESDIR%%/demo/common/input.adb
+%%EXAMPLESDIR%%/demo/common/input.ads
+%%EXAMPLESDIR%%/demo/common/screen_output.adb
+%%EXAMPLESDIR%%/demo/common/screen_output.ads
+%%EXAMPLESDIR%%/demo/common/sdc.adb
+%%EXAMPLESDIR%%/demo/common/sdc.ads
+%%EXAMPLESDIR%%/demo/common/stack.adb
+%%EXAMPLESDIR%%/demo/common/stack.ads
+%%EXAMPLESDIR%%/demo/demo.gpr
+%%EXAMPLESDIR%%/demo/input.txt
 %%EXAMPLESDIR%%/demo/matrix_handling/matrix.c
-%%EXAMPLESDIR%%/demo/matrix_handling/matrix_binding.ads
+%%EXAMPLESDIR%%/demo/matrix_handling/matrix.h
 %%EXAMPLESDIR%%/demo/matrix_handling/matrix_binding.adb
-%%EXAMPLESDIR%%/demo/input.txt
-%%EXAMPLESDIR%%/demo/demo.gpr
-%%EXAMPLESDIR%%/demo/common/stack.ads
-%%EXAMPLESDIR%%/demo/common/stack.adb
-%%EXAMPLESDIR%%/demo/common/sdc.ads
-%%EXAMPLESDIR%%/demo/common/sdc.adb
-%%EXAMPLESDIR%%/demo/common/screen_output.ads
-%%EXAMPLESDIR%%/demo/common/screen_output.adb
-%%EXAMPLESDIR%%/demo/common/input.ads
-%%EXAMPLESDIR%%/demo/common/input.adb
-%%EXAMPLESDIR%%/demo/common/except.ads
+%%EXAMPLESDIR%%/demo/matrix_handling/matrix_binding.ads
+%%EXAMPLESDIR%%/demo/matrix_handling/matrix_utils.c
+%%EXAMPLESDIR%%/demo/projects/prj1.gpr
+%%EXAMPLESDIR%%/demo/projects/prj1/src1.adb
+%%EXAMPLESDIR%%/demo/projects/prj2.gpr
+%%EXAMPLESDIR%%/demo/projects/prj2/src2.adb
+%%EXAMPLESDIR%%/demo/projects/prj3.gpr
+%%EXAMPLESDIR%%/demo/projects/prj3/src3.adb
+%%EXAMPLESDIR%%/demo/projects/prj4.gpr
+%%EXAMPLESDIR%%/demo/projects/prj4/src4.adb
+%%EXAMPLESDIR%%/demo/struct/instructions.adb
+%%EXAMPLESDIR%%/demo/struct/instructions.ads
+%%EXAMPLESDIR%%/demo/struct/tokens.adb
+%%EXAMPLESDIR%%/demo/struct/tokens.ads
+%%EXAMPLESDIR%%/demo/struct/values-operations.adb
+%%EXAMPLESDIR%%/demo/struct/values-operations.ads
+%%EXAMPLESDIR%%/demo/struct/values.adb
+%%EXAMPLESDIR%%/demo/struct/values.ads
+%%EXAMPLESDIR%%/language/Makefile
+%%EXAMPLESDIR%%/language/README
+%%EXAMPLESDIR%%/language/gpr_custom.adb
+%%EXAMPLESDIR%%/language/gpr_custom.ads
+%%EXAMPLESDIR%%/language/gprcustom.c
+%%EXAMPLESDIR%%/language/language_custom.ads
+%%EXAMPLESDIR%%/language/language_custom.h
+%%EXAMPLESDIR%%/python/README
+%%EXAMPLESDIR%%/python/ada_expansion.py
+%%EXAMPLESDIR%%/python/bookmarks.py
+%%EXAMPLESDIR%%/python/build.py
+%%EXAMPLESDIR%%/python/clipboards.py
+%%EXAMPLESDIR%%/python/colors.py
+%%EXAMPLESDIR%%/python/doc.py
+%%EXAMPLESDIR%%/python/docgen_gtkada.py
+%%EXAMPLESDIR%%/python/globals.py
+%%EXAMPLESDIR%%/python/hello_gtk.py
+%%EXAMPLESDIR%%/python/indent_all.py
+%%EXAMPLESDIR%%/python/misc_text_utils.py
+%%EXAMPLESDIR%%/python/prefs.py
+%%EXAMPLESDIR%%/python/project_view.py
+%%EXAMPLESDIR%%/python/readonly.py
+%%EXAMPLESDIR%%/python/reformat_project.py
+%%EXAMPLESDIR%%/python/remote_server_assign_variable.py
+%%EXAMPLESDIR%%/remote/README
+%%EXAMPLESDIR%%/remote/my_ssh
+%%EXAMPLESDIR%%/remote/remote.gpr
+%%EXAMPLESDIR%%/remote/src/demo1.adb
+%%EXAMPLESDIR%%/remote/src/gen_list.adb
+%%EXAMPLESDIR%%/remote/src/gen_list.ads
+%%EXAMPLESDIR%%/remote/src/instr.adb
+%%EXAMPLESDIR%%/remote/src/instr.ads
+%%EXAMPLESDIR%%/tutorial/common/except.ads
+%%EXAMPLESDIR%%/tutorial/common/input.adb
+%%EXAMPLESDIR%%/tutorial/common/input.ads
+%%EXAMPLESDIR%%/tutorial/common/screen_output.adb
+%%EXAMPLESDIR%%/tutorial/common/screen_output.ads
+%%EXAMPLESDIR%%/tutorial/common/sdc.adb
+%%EXAMPLESDIR%%/tutorial/common/sdc.ads
+%%EXAMPLESDIR%%/tutorial/common/stack.adb
+%%EXAMPLESDIR%%/tutorial/common/stack.ads
+%%EXAMPLESDIR%%/tutorial/input.txt
+%%EXAMPLESDIR%%/tutorial/projects/prj1.gpr
+%%EXAMPLESDIR%%/tutorial/projects/prj1/src1.adb
+%%EXAMPLESDIR%%/tutorial/projects/prj2.gpr
+%%EXAMPLESDIR%%/tutorial/projects/prj2/src2.adb
+%%EXAMPLESDIR%%/tutorial/projects/prj3.gpr
+%%EXAMPLESDIR%%/tutorial/projects/prj3/src3.adb
+%%EXAMPLESDIR%%/tutorial/projects/prj4.gpr
+%%EXAMPLESDIR%%/tutorial/projects/prj4/src4.adb
+%%EXAMPLESDIR%%/tutorial/sdc.gpr
+%%EXAMPLESDIR%%/tutorial/struct/instructions.adb
+%%EXAMPLESDIR%%/tutorial/struct/instructions.ads
+%%EXAMPLESDIR%%/tutorial/struct/tokens.adb
+%%EXAMPLESDIR%%/tutorial/struct/tokens.ads
+%%EXAMPLESDIR%%/tutorial/struct/values-operations.adb
+%%EXAMPLESDIR%%/tutorial/struct/values-operations.ads
+%%EXAMPLESDIR%%/tutorial/struct/values.adb
+%%EXAMPLESDIR%%/tutorial/struct/values.ads
+%%EXAMPLESDIR%%/xml/README
+%%EXAMPLESDIR%%/xml/gnatmake.xml
+%%PYSUPPORT%%/%%DATADIR%%/library/GPS_old.pyc
+%%PYSUPPORT%%/%%DATADIR%%/library/addr2line.pyc
+%%PYSUPPORT%%/%%DATADIR%%/library/auto_changelog.pyc
+%%PYSUPPORT%%/%%DATADIR%%/library/autoformat.pyc
+%%PYSUPPORT%%/%%DATADIR%%/library/autognatpp.pyc
+%%PYSUPPORT%%/%%DATADIR%%/library/copy_paste.pyc
+%%PYSUPPORT%%/%%DATADIR%%/library/copy_paste_toolbar.pyc
+%%PYSUPPORT%%/%%DATADIR%%/library/create_missing_dirs.pyc
+%%PYSUPPORT%%/%%DATADIR%%/library/createfile.pyc
+%%PYSUPPORT%%/%%DATADIR%%/library/debugger.pyc
+%%PYSUPPORT%%/%%DATADIR%%/library/dependencies.pyc
+%%PYSUPPORT%%/%%DATADIR%%/library/eclipse.pyc
+%%PYSUPPORT%%/%%DATADIR%%/library/execute_extended.pyc
+%%PYSUPPORT%%/%%DATADIR%%/library/filedeps.pyc
+%%PYSUPPORT%%/%%DATADIR%%/library/filepos.pyc
+%%PYSUPPORT%%/%%DATADIR%%/library/first_subtype.pyc
+%%PYSUPPORT%%/%%DATADIR%%/library/gnatpp_switches.pyc
+%%PYSUPPORT%%/%%DATADIR%%/library/highlight_selection.pyc
+%%PYSUPPORT%%/%%DATADIR%%/library/isearch.pyc
+%%PYSUPPORT%%/%%DATADIR%%/library/ispell.pyc
+%%PYSUPPORT%%/%%DATADIR%%/library/local_history.pyc
+%%PYSUPPORT%%/%%DATADIR%%/library/occurrences.pyc
+%%PYSUPPORT%%/%%DATADIR%%/library/online_support.pyc
+%%PYSUPPORT%%/%%DATADIR%%/library/open_file.pyc
+%%PYSUPPORT%%/%%DATADIR%%/library/pygps/__init__.pyc
+%%PYSUPPORT%%/%%DATADIR%%/library/pygps/notebook.pyc
+%%PYSUPPORT%%/%%DATADIR%%/library/pygps/project.pyc
+%%PYSUPPORT%%/%%DATADIR%%/library/pygps/tree.pyc
+%%PYSUPPORT%%/%%DATADIR%%/library/save_on_compile.pyc
+%%PYSUPPORT%%/%%DATADIR%%/library/separate.pyc
+%%PYSUPPORT%%/%%DATADIR%%/library/simple_project.pyc
+%%PYSUPPORT%%/%%DATADIR%%/library/skeleton.pyc
+%%PYSUPPORT%%/%%DATADIR%%/library/unicode.pyc
+%%PYSUPPORT%%/%%DATADIR%%/library/unused_entities.pyc
+%%PYSUPPORT%%/%%DATADIR%%/library/vi.pyc
+%%PYSUPPORT%%/%%DATADIR%%/plug-ins/Makefile.pyc
+%%PYSUPPORT%%/%%DATADIR%%/plug-ins/ada_support.pyc
+%%PYSUPPORT%%/%%DATADIR%%/plug-ins/align.pyc
+%%PYSUPPORT%%/%%DATADIR%%/plug-ins/auto_highlight_occurrences.pyc
+%%PYSUPPORT%%/%%DATADIR%%/plug-ins/block_completion.pyc
+%%PYSUPPORT%%/%%DATADIR%%/plug-ins/codepeer.pyc
+%%PYSUPPORT%%/%%DATADIR%%/plug-ins/dispatching.pyc
+%%PYSUPPORT%%/%%DATADIR%%/plug-ins/docgen_base_tags.pyc
+%%PYSUPPORT%%/%%DATADIR%%/plug-ins/editors.pyc
+%%PYSUPPORT%%/%%DATADIR%%/plug-ins/expanded_code.pyc
+%%PYSUPPORT%%/%%DATADIR%%/plug-ins/gcov.pyc
+%%PYSUPPORT%%/%%DATADIR%%/plug-ins/git_support.pyc
+%%PYSUPPORT%%/%%DATADIR%%/plug-ins/gnat_switches.pyc
+%%PYSUPPORT%%/%%DATADIR%%/plug-ins/gnatcheck.pyc
+%%PYSUPPORT%%/%%DATADIR%%/plug-ins/gnatdist_support.pyc
+%%PYSUPPORT%%/%%DATADIR%%/plug-ins/gnatpsta.pyc
+%%PYSUPPORT%%/%%DATADIR%%/plug-ins/gnatstack.pyc
+%%PYSUPPORT%%/%%DATADIR%%/plug-ins/gps_utils/__init__.pyc
+%%PYSUPPORT%%/%%DATADIR%%/plug-ins/gps_utils/console_process.pyc
+%%PYSUPPORT%%/%%DATADIR%%/plug-ins/gps_utils/gnat_rules.pyc
+%%PYSUPPORT%%/%%DATADIR%%/plug-ins/gps_utils/gnatcheck_default.pyc
+%%PYSUPPORT%%/%%DATADIR%%/plug-ins/gps_utils/gnatcheck_rules_editor.pyc
+%%PYSUPPORT%%/%%DATADIR%%/plug-ins/gps_utils/highlighter.pyc
+%%PYSUPPORT%%/%%DATADIR%%/plug-ins/gps_utils/switches.pyc
+%%PYSUPPORT%%/%%DATADIR%%/plug-ins/listvars.pyc
+%%PYSUPPORT%%/%%DATADIR%%/plug-ins/locations_view_utils.pyc
+%%PYSUPPORT%%/%%DATADIR%%/plug-ins/methods.pyc
+%%PYSUPPORT%%/%%DATADIR%%/plug-ins/navigation_utils.pyc
+%%PYSUPPORT%%/%%DATADIR%%/plug-ins/os_utils.pyc
+%%PYSUPPORT%%/%%DATADIR%%/plug-ins/pipe.pyc
+%%PYSUPPORT%%/%%DATADIR%%/plug-ins/python_doc.pyc
+%%PYSUPPORT%%/%%DATADIR%%/plug-ins/python_support.pyc
+%%PYSUPPORT%%/%%DATADIR%%/plug-ins/rectangles.pyc
+%%PYSUPPORT%%/%%DATADIR%%/plug-ins/reset_gps_registry.pyc
+%%PYSUPPORT%%/%%DATADIR%%/plug-ins/shell.pyc
+%%PYSUPPORT%%/%%DATADIR%%/plug-ins/sort_selection.pyc
+%%PYSUPPORT%%/%%DATADIR%%/plug-ins/spark/spark.pyc
+%%PYSUPPORT%%/%%DATADIR%%/plug-ins/spark_support.pyc
+%%PYSUPPORT%%/%%DATADIR%%/plug-ins/text_utils.pyc
+%%PYSUPPORT%%/%%DATADIR%%/plug-ins/tip_of_the_day.pyc
+%%PYSUPPORT%%/%%DATADIR%%/plug-ins/url.pyc
+%%PYSUPPORT%%/%%DATADIR%%/plug-ins/xcov.pyc
+%%PYSUPPORT%%/%%DATADIR%%/plug-ins/xml_support.pyc
+%%PYSUPPORT%%/%%DATADIR%%/plug-ins/zoom.pyc
 @dirrm %%EXAMPLESDIR%%/xml
 @dirrm %%EXAMPLESDIR%%/tutorial/struct
 @dirrm %%EXAMPLESDIR%%/tutorial/projects/prj4
@@ -639,8 +956,6 @@
 @dirrm %%DATADIR%%/docgen2
 @dirrm %%DATADIR%%/aunit
 @dirrm %%DOCSDIR%%/html
-@dirrm %%DOCSDIR%%/pdf
-@dirrm %%DOCSDIR%%/txt
 @dirrm %%DOCSDIR%%
 @dirrmtry %%DATADIR%%/plug-ins
 @dirrmtry %%DATADIR%%
--- files/patch-Makefile.in.orig	2011-03-02 01:53:02.000000000 +0100
+++ files/patch-Makefile.in	2011-10-11 18:02:49.000000000 +0200
@@ -1,6 +1,39 @@
---- Makefile.in.orig	2010-12-04 07:21:32.000000000 +0100
-+++ Makefile.in	2010-12-14 17:31:51.000000000 +0100
-@@ -42,11 +42,6 @@
+--- Makefile.in.orig	2010-09-24 10:51:03.000000000 +0200
++++ Makefile.in	2011-10-11 17:59:53.000000000 +0200
+@@ -11,10 +11,12 @@
+ prefix          = @prefix@
+ bindir          = $(prefix)/bin
+ sharedir        = $(prefix)/share
++docdir          = $(prefix)/share/doc/gps
+ examplesdir     = $(prefix)/share/examples/gps
+ 
+ default:
+ 	$(MAKE) -C gps $@
++	$(AWK) -f distrib/gnat_switches.awk < gnat/gnat_ugn.texi > share/plug-ins/gnat_switches.py
+ 
+ clean:
+ 	$(MAKE) -C gps $@
+@@ -24,12 +26,13 @@
+ 	(cd scripts; ./testsuites clean)
+ 
+ install-common:
+-	$(MKDIR) $(bindir)
+-	$(MKDIR) $(sharedir)
+-	$(MKDIR) $(examplesdir)
+-	$(MKDIR) $(sharedir)/gps
+-	$(MKDIR) $(sharedir)/gps/docgen2
+-	$(MKDIR) $(sharedir)/gps/aunit
++	$(MKDIR) $(DESTDIR)$(bindir)
++	$(MKDIR) $(DESTDIR)$(sharedir)
++	$(MKDIR) $(DESTDIR)$(docdir)
++	$(MKDIR) $(DESTDIR)$(examplesdir)
++	$(MKDIR) $(DESTDIR)$(sharedir)/gps
++	$(MKDIR) $(DESTDIR)$(sharedir)/gps/docgen2
++	$(MKDIR) $(DESTDIR)$(sharedir)/gps/aunit
+ ifeq ($(OS),Windows_NT)
+ # On Windows we distribute two versions of subversion.xml, one that
+ # supports Cygwin/Subversion and one for native Subversion.
+@@ -42,45 +45,40 @@
  		share/plug-ins/_subversion_ \
  		> share/plug-ins/subversion_native_windows.xml
  endif
@@ -11,4 +44,68 @@
 -	$(RMDIR) $(sharedir)/gps/templates
  # update runtime.xml before copying the plug-ins files.
  	(cd distrib; $(PERL) from_impunit.pl)
- 	(cd share; tar cf - plug-ins/*.xml) | (cd $(sharedir)/gps; tar xf -)
+-	(cd share; tar cf - plug-ins/*.xml) | (cd $(sharedir)/gps; tar xf -)
++	(cd share; tar cf - plug-ins/*.xml) | (cd $(DESTDIR)$(sharedir)/gps; tar xf -)
+ ifeq ($(OS),Windows_NT)
+ # Clean-up changes made above for Windows.
+ 	$(MV) share/plug-ins/_subversion_ share/plug-ins/subversion.xml
+ 	$(RM) share/plug-ins/subversion_native_windows.xml
+ endif
+-	$(AWK) -f distrib/gnat_switches.awk < gnat/gnat_ugn.texi > $(sharedir)/gps/plug-ins/gnat_switches.py
+-	(cd share; tar cf - plug-ins/*.py) | (cd $(sharedir)/gps; tar xf -)
+-	(cd share; tar cf - plug-ins/gps_utils/*.py) | (cd $(sharedir)/gps; tar xf -)
+-	(cd share; tar cf - plug-ins/spark/*.py) | (cd $(sharedir)/gps; tar xf -)
+-	(cd share; tar cf - plug-ins/*.png) | (cd $(sharedir)/gps; tar xf -)
+-	(cd share; tar cf - plug-ins/images/*.png) | (cd $(sharedir)/gps; tar xf -)
+-	(cd share; tar cf - library/*.xml) | (cd $(sharedir)/gps; tar xf -)
+-	(cd share; tar cf - library/*.py) | (cd $(sharedir)/gps; tar xf -)
+-	(cd share; tar cf - library/pygps/*.py) | (cd $(sharedir)/gps; tar xf -)
+-	$(RM) $(sharedir)/gps/plug-ins/emacs.xml
+-	(cd share; tar cf - icons/)  | (cd $(sharedir)/gps; tar xf -)
+-	(cd share; tar cf - templates/)  | (cd $(sharedir)/gps; tar xf -)
+-	(cd share; tar cf - *.*)  | (cd $(sharedir)/gps; tar xf -)
++	(cd share; tar cf - plug-ins/*.py*) | (cd $(DESTDIR)$(sharedir)/gps; tar xf -)
++	(cd share; tar cf - plug-ins/gps_utils/*.py*) | (cd $(DESTDIR)$(sharedir)/gps; tar xf -)
++	(cd share; tar cf - plug-ins/spark/*.py*) | (cd $(DESTDIR)$(sharedir)/gps; tar xf -)
++	(cd share; tar cf - plug-ins/*.png) | (cd $(DESTDIR)$(sharedir)/gps; tar xf -)
++	(cd share; tar cf - plug-ins/images/*.png) | (cd $(DESTDIR)$(sharedir)/gps; tar xf -)
++	(cd share; tar cf - library/*.xml) | (cd $(DESTDIR)$(sharedir)/gps; tar xf -)
++	(cd share; tar cf - library/*.py*) | (cd $(DESTDIR)$(sharedir)/gps; tar xf -)
++	(cd share; tar cf - library/pygps/*.py*) | (cd $(DESTDIR)$(sharedir)/gps; tar xf -)
++	$(RM) $(DESTDIR)$(sharedir)/gps/plug-ins/emacs.xml
++	(cd share; tar cf - icons/) | (cd $(DESTDIR)$(sharedir)/gps; tar xf -)
++	(cd share; tar cf - templates/) | (cd $(DESTDIR)$(sharedir)/gps; tar xf -)
++	(cd share; tar cf - *.*) | (cd $(DESTDIR)$(sharedir)/gps; tar xf -)
+ 	(cd docgen2/resources; tar cf - *.tmpl custom/*.css support/*.css support/*.js support/images/*.png) \
+-		| (cd $(sharedir)/gps/docgen2; tar xf -)
++		| (cd $(DESTDIR)$(sharedir)/gps/docgen2; tar xf -)
+ 	(cd aunit/templates; tar cf - *.tmpl) \
+-		| (cd $(sharedir)/gps/aunit; tar xf -)
+-	$(MAKE) -C docs install
+-	(cd examples; tar cf - --exclude .svn . ) | (cd $(examplesdir); tar xf -)
++		| (cd $(DESTDIR)$(sharedir)/gps/aunit; tar xf -)
++	${INSTALL} docs/gps-splash.png $(DESTDIR)$(sharedir)/gps
++	(cd docs; tar -cf - html/) | (cd $(DESTDIR)$(docdir); tar xf -)  
++	(cd examples; tar cf - --exclude .svn . ) | (cd $(DESTDIR)$(examplesdir); tar xf -)
+ 
+ install: install-common
+ ifeq ($(OS),Windows_NT)
+ 	$(INSTALL_PROGRAM) gps/obj/gps.exe $(bindir)
+ 	$(MAKE) -C common/expect install
+ else
+-	$(INSTALL_PROGRAM) gps/obj/gps $(bindir)
++	$(INSTALL_PROGRAM) gps/obj/gps $(DESTDIR)$(bindir)
+ endif
+ 
+ install-strip: install-common
+@@ -89,8 +87,8 @@
+ 	$(INSTALL_PROGRAM) distrib/gps_run.cmd $(bindir)
+ 	$(MAKE) -C common/expect install-strip
+ else
+-	$(INSTALL_PROGRAM) -s gps/obj/gps $(bindir)/gps_exe
+-	$(INSTALL_PROGRAM) distrib/.gps_wrapper $(bindir)/gps
++	$(INSTALL_PROGRAM) -s gps/obj/gps $(DESTDIR)$(bindir)/gps_exe
++	$(INSTALL_PROGRAM) distrib/.gps_wrapper $(DESTDIR)$(bindir)/gps
+ endif
+ 
+ test: force
--- files/patch-common-tty-terminals.c.orig	2011-03-02 01:53:02.000000000 +0100
+++ files/patch-common-tty-terminals.c	2011-10-10 00:28:22.000000000 +0200
@@ -1,5 +1,5 @@
---- common/tty/terminals.c.orig	2010-12-04 03:57:46 +0000
-+++ common/tty/terminals.c
+--- common/tty/terminals.c.orig	2009-09-30 11:30:08.000000000 +0200
++++ common/tty/terminals.c	2011-10-09 02:58:53.000000000 +0200
 @@ -31,7 +31,10 @@
  #ifndef WIN32
  
@@ -12,3 +12,13 @@
  #   define FREEBSD
  #endif
  #if defined (__alpha__) && defined (__osf__)
+@@ -260,7 +263,9 @@
+ #ifndef NLDLY
+ #define NLDLY 0
+ #define CRDLY 0
++#ifndef TABDLY
+ #define TABDLY 0
++#endif
+ #define BSDLY 0
+ #define VTDLY 0
+ #define FFDLY 0
--- /dev/null	2011-10-11 21:30:29.000000000 +0200
+++ files/patch-gnatlib-gnat_src-mlib-utl.adb	2011-10-10 00:28:22.000000000 +0200
@@ -0,0 +1,11 @@
+--- gnatlib/gnat_src/mlib-utl.adb.orig	2010-02-14 02:40:00.000000000 +0100
++++ gnatlib/gnat_src/mlib-utl.adb	2011-10-09 04:11:21.000000000 +0200
+@@ -412,7 +412,7 @@
+       if Driver_Name = No_Name then
+          if Gcc_Exec = null then
+             if Gcc_Name = null then
+-               Gcc_Name := Osint.Program_Name ("gcc", "gnatmake");
++               Gcc_Name := Osint.Program_Name ("gnatgcc", "gnatmake");
+             end if;
+ 
+             Gcc_Exec := Locate_Exec_On_Path (Gcc_Name.all);
--- /dev/null	2011-10-11 21:34:30.000000000 +0200
+++ files/patch-gnatlib_aclocal.m4	2011-10-11 03:08:57.000000000 +0200
@@ -0,0 +1,31 @@
+--- gnatlib/aclocal.m4.orig	2010-07-19 10:57:13.000000000 +0200
++++ gnatlib/aclocal.m4	2011-10-11 03:05:28.000000000 +0200
+@@ -452,6 +452,18 @@
+           *-darwin* )
+              PYTHON_LIBS="-ldl -lm ${PYTHON_LIBS}"
+              ;;
++          *-freebsd* )
++             PYTHON_LIBS="-lm -lutil ${PYTHON_LIBS}"
++             ;;
++          *-dragonfly* )
++             PYTHON_LIBS="-lm -lutil ${PYTHON_LIBS}"
++             ;;
++          *-netbsd* )
++             PYTHON_LIBS="-lm -lutil ${PYTHON_LIBS}"
++             ;;
++          *-openbsd* )
++             PYTHON_LIBS="-lm -lutil ${PYTHON_LIBS}"
++             ;;
+           x86_64-*-* )
+              PYTHON_LIBS="-Wl,-export-dynamic -lm -ldl ${PYTHON_LIBS}"
+              ;;
+@@ -460,9 +472,6 @@
+              ;;
+           i[[3456]]86-*win32* | i[[3456]]86-*mingw32* | i[[3456]]86-*cygwin* )
+              ;;
+-          *-freebsd* )
+-             PYTHON_LIBS="-lm -lutil ${PYTHON_LIBS}"
+-             ;;
+       esac
+ 
+       if test -f ${PYTHON_DIR}/libpython${PYTHON_VERSION}.a ; then
--- /dev/null	2011-10-11 21:36:30.000000000 +0200
+++ files/patch-gnatlib_configure	2011-10-11 03:08:28.000000000 +0200
@@ -0,0 +1,22 @@
+--- gnatlib/configure.orig	2010-10-14 12:02:43.000000000 +0200
++++ gnatlib/configure	2011-10-11 03:07:02.000000000 +0200
+@@ -3501,6 +3501,9 @@
+           *-darwin* )
+              PYTHON_LIBS="-ldl -lm ${PYTHON_LIBS}"
+              ;;
++          *-freebsd* | *-dragonfly* | *-netbsd* | *-openbsd* )
++             PYTHON_LIBS="-lm -lutil ${PYTHON_LIBS}"
++             ;;
+           x86_64-*-* )
+              PYTHON_LIBS="-Wl,-export-dynamic -lm -ldl ${PYTHON_LIBS}"
+              ;;
+@@ -3509,9 +3512,6 @@
+              ;;
+           i[3456]86-*win32* | i[3456]86-*mingw32* | i[3456]86-*cygwin* )
+              ;;
+-          *-freebsd* )
+-             PYTHON_LIBS="-lm -lutil ${PYTHON_LIBS}"
+-             ;;
+       esac
+ 
+       if test -f ${PYTHON_DIR}/libpython${PYTHON_VERSION}.a ; then
--- files/patch-prj_editor-src-project_properties.adb	2011-07-16 18:52:52.000000000 +0200
+++ /dev/null	2011-10-11 21:48:32.000000000 +0200
@@ -1,20 +0,0 @@
---- prj_editor/src/project_properties.adb.orig	2010-12-14 23:30:31.000000000 +0100
-+++ prj_editor/src/project_properties.adb
-@@ -4925,7 +4925,7 @@
-       then
-          --  Some pages might not be visible though...
-          P := Get_Nth_Project_Editor_Page
--           (Ed.Kernel, Page - Pages_From_XML_Count);
-+           (Ed.Kernel, Page - Pages_From_XML_Count + 1);
-       end if;
- 
-       if P /= null then
-@@ -4934,7 +4934,7 @@
-          begin
-             Refresh
-               (Page      => P,
--               Widget    => Ed.Pages (Page - Pages_From_XML_Count),
-+               Widget    => Ed.Pages (Page - Pages_From_XML_Count + 1),
-                Project   => Ed.Project,
-                Languages => Languages.all);
-             Free (Languages);
--- files/patch-prj_editor-src-project_viewers.ads	2011-07-16 18:52:52.000000000 +0200
+++ /dev/null	2011-10-11 21:48:32.000000000 +0200
@@ -1,11 +0,0 @@
---- prj_editor/src/project_viewers.ads.orig	2010-12-14 23:30:31.000000000 +0100
-+++ prj_editor/src/project_viewers.ads
-@@ -159,7 +159,7 @@
-    --  Return the number of registered project editor pages
- 
-    function Get_Nth_Project_Editor_Page
--     (Kernel : access GPS.Kernel.Kernel_Handle_Record'Class; Num : Natural)
-+     (Kernel : access GPS.Kernel.Kernel_Handle_Record'Class; Num : Positive)
-       return Project_Editor_Page;
-    --  Return the Num-th registered project editor page.
-    --  First page is number 1.
--- files/patch-prj_editor-src-project_viewers.adb	2011-07-16 18:52:52.000000000 +0200
+++ /dev/null	2011-10-11 21:48:32.000000000 +0200
@@ -1,11 +0,0 @@
---- prj_editor/src/project_viewers.adb.orig	2010-12-14 23:30:31.000000000 +0100
-+++ prj_editor/src/project_viewers.adb
-@@ -1657,7 +1657,7 @@
-    ---------------------------------
- 
-    function Get_Nth_Project_Editor_Page
--     (Kernel : access Kernel_Handle_Record'Class; Num : Natural)
-+     (Kernel : access Kernel_Handle_Record'Class; Num : Positive)
-       return Project_Editor_Page
-    is
-       pragma Unreferenced (Kernel);
--- files/patch-gnatlib-gnat_src-gnatvsn.adb	2011-03-02 01:53:02.000000000 +0100
+++ /dev/null	2011-10-11 21:50:32.000000000 +0200
@@ -1,31 +0,0 @@
---- gnatlib/gnat_src/gnatvsn.adb.orig	2010-12-04 08:12:30 +0000
-+++ gnatlib/gnat_src/gnatvsn.adb
-@@ -53,27 +53,13 @@ package body Gnatvsn is
-         " FOR A PARTICULAR PURPOSE.";
-    end Gnat_Free_Software;
- 
--   Version_String : String (1 .. Ver_Len_Max);
--   --  Import the C string defined in the (language-independent) source file
--   --  version.c.
--   --  The size is not the real one, which does not matter since we will
--   --  check for the nul character in Gnat_Version_String.
--   pragma Import (C, Version_String, "version_string");
--
-    -------------------------
-    -- Gnat_Version_String --
-    -------------------------
- 
-    function Gnat_Version_String return String is
--      NUL_Pos : Positive := 1;
-    begin
--      loop
--         exit when Version_String (NUL_Pos) = ASCII.NUL;
--
--         NUL_Pos := NUL_Pos + 1;
--      end loop;
--
--      return Version_String (1 .. NUL_Pos - 1);
-+      return Gnat_Static_Version_String;
-    end Gnat_Version_String;
- 
- end Gnatvsn;
--- /dev/null	2011-10-11 21:52:32.000000000 +0200
+++ files/patch-gnatlib_src_nonpython_gnatcoll-scripts.nopython.ads	2011-10-10 00:28:22.000000000 +0200
@@ -0,0 +1,13 @@
+--- gnatlib/src/nopython/gnatcoll-scripts-python.ads.orig	2010-10-14 12:15:05.000000000 +0200
++++ gnatlib/src/nopython/gnatcoll-scripts-python.ads	2011-10-09 05:03:58.000000000 +0200
+@@ -31,7 +31,9 @@
+ 
+    procedure Register_Python_Scripting
+      (Repo          : Scripts.Scripts_Repository;
+-      Module        : String);
++      Module        : String;
++      Program_Name  : String := "python";
++      Python_Home   : String := "");
+    procedure Unregister_Python_Scripting
+      (Repo : Scripts.Scripts_Repository);
+    --  Does nothing, since python was not compiled in.
--- /dev/null	2011-10-11 21:52:32.000000000 +0200
+++ files/patch-gnatlib_src_nonpython_gnatcoll-scripts.nopython.adb	2011-10-10 00:28:22.000000000 +0200
@@ -0,0 +1,16 @@
+--- gnatlib/src/nopython/gnatcoll-scripts-python.adb.orig	2011-10-09 05:02:49.000000000 +0200
++++ gnatlib/src/nopython/gnatcoll-scripts-python.adb	2011-10-09 05:13:08.000000000 +0200
+@@ -33,9 +33,11 @@
+ 
+    procedure Register_Python_Scripting
+      (Repo          : Scripts.Scripts_Repository;
+-      Module        : String)
++      Module        : String;
++      Program_Name  : String := "python";
++      Python_Home   : String := "")
+    is
+-      pragma Unreferenced (Repo, Module);
++      pragma Unreferenced (Repo, Module, Program_Name, Python_Home);
+    begin
+       null;
+    end Register_Python_Scripting;

_______________________________________________
freebsd-ports-bugs@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-ports-bugs
To unsubscribe, send any mail to "freebsd-ports-bugs-unsubscribe@freebsd.org"


----- End forwarded message -----
Comment 5 Frederic Culot freebsd_committer 2011-11-14 15:38:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->culot

I'll take it.
Comment 6 dfilter freebsd_committer 2011-11-15 13:36:02 UTC
culot       2011-11-15 13:35:48 UTC

  FreeBSD ports repository

  Modified files:
    devel/gps            Makefile distinfo pkg-plist 
    devel/gps/files      patch-Makefile.in 
                         patch-common-tty-terminals.c 
  Added files:
    devel/gps/files      patch-gnatlib-gnat_src-mlib-utl.adb 
                         patch-gnatlib_aclocal.m4 
                         patch-gnatlib_configure 
                         patch-gnatlib_src_nonpython_gnatcoll-scripts.nopython.adb 
                         patch-gnatlib_src_nonpython_gnatcoll-scripts.nopython.ads 
  Removed files:
    devel/gps/files      patch-gnatlib-gnat_src-gnatvsn.adb 
                         patch-prj_editor-src-project_properties.adb 
                         patch-prj_editor-src-project_viewers.adb 
                         patch-prj_editor-src-project_viewers.ads 
  Log:
  - Update to 5.0.1
  
  PR:             ports/161442
  Submitted by:   John Marino <draco@marino.st> (maintainer)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.5       +22 -23    ports/devel/gps/Makefile
  1.2       +2 -2      ports/devel/gps/distinfo
  1.2       +101 -4    ports/devel/gps/files/patch-Makefile.in
  1.2       +12 -2     ports/devel/gps/files/patch-common-tty-terminals.c
  1.2       +0 -31     ports/devel/gps/files/patch-gnatlib-gnat_src-gnatvsn.adb (dead)
  1.1       +11 -0     ports/devel/gps/files/patch-gnatlib-gnat_src-mlib-utl.adb (new)
  1.1       +31 -0     ports/devel/gps/files/patch-gnatlib_aclocal.m4 (new)
  1.1       +22 -0     ports/devel/gps/files/patch-gnatlib_configure (new)
  1.1       +16 -0     ports/devel/gps/files/patch-gnatlib_src_nonpython_gnatcoll-scripts.nopython.adb (new)
  1.1       +13 -0     ports/devel/gps/files/patch-gnatlib_src_nonpython_gnatcoll-scripts.nopython.ads (new)
  1.2       +0 -20     ports/devel/gps/files/patch-prj_editor-src-project_properties.adb (dead)
  1.2       +0 -11     ports/devel/gps/files/patch-prj_editor-src-project_viewers.adb (dead)
  1.2       +0 -11     ports/devel/gps/files/patch-prj_editor-src-project_viewers.ads (dead)
  1.2       +875 -560  ports/devel/gps/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Frederic Culot freebsd_committer 2011-11-15 13:38:08 UTC
State Changed
From-To: open->closed

Committed. Thanks!